<?php

class branchlist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function branchlist($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dBranch();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aBranch();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delBranch();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dBranch() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEBRANCH . " SET status = '0' WHERE bId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected branch(es) deactived successfully.";
		}
	}

	function aBranch() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEBRANCH . " SET status = '1' WHERE bId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected branch(es) actived successfully.";
		}
	}

	function delBranch() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLEBRANCH . " WHERE bId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected branch(es) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "branchList", "branchLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$myCondition = array();
		if(isset($_REQUEST['name']) && strlen($_REQUEST['name']) > 0){
			//echo 'set name';
			$ssname = $_REQUEST["name"];
	        array_push($myCondition," bName LIKE '".trim($ssname)."%' ");
		}else{

			$ssname = "";
		}
		if(count($myCondition) > 0){
			$myCondition = " WHERE (".implode(" AND ", $myCondition).")";			
		}
		else{
			$myCondition = "";						
		}
		//$ResMsg = "";
		//$branchQry = "SELECT bId,bName,bManagerName,bCid,bSid,status FROM " . TABLEBRANCH . " ORDER BY bSid ASC";
		$ResMsg = "";
		$branchQry = "SELECT bId,bName,bManagerName,bCid,bSid,status FROM " . TABLEBRANCH . "";
		$branchQry = $branchQry.$myCondition;
		$branchQry = $branchQry." ORDER BY bSid ASC";
		 
		$branchRes = $this->home1->con->execQry($branchQry);
		
		$branchRows = $this->home1->con->rowCount($branchRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$aRes = $paging->queryResult($branchQry);
		$aRows = $this->home1->con->rowCount($aRes);
		$pageLinks = $paging->addPaging($branchQry);

		if ($branchRows > 0) {
			$i = 1;
			while ($aObj = $this->home1->con->fetchObj($aRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $aObj->bId . ">";
				$name = html_entities(trim($aObj->bName));
				$countryName = getCountryName($aObj->bCid);
				$stateName = getStateName($aObj->bSid);
				$editview = "<a href=branchMod.php?bID=" . $aObj->bId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=branchMod.php?bID=" . $aObj->bId . "&action=editbranch><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";

				$this->t->set_var("chkid", $chkID);
				$this->t->set_var("username", $name);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("branch", html_entities($aObj->bName));
				$this->t->set_var("branchManager", html_entities($aObj->bManagerName));
				$this->t->set_var("brId", $aObj->bId);
				$this->t->set_var("cid", $countryName);
				$this->t->set_var("sid", $stateName);
				$this->t->set_var("editview", $editview);
				if ($aObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("branchLists", "branchList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("branchLists", "");
		}

		if (isset($_GET['t'])) {
			if ($_GET['t'] == 'sc') {
				$this->ResMsg = "Password updated successfully.";
			} else if ($_GET['t'] == 'er') {
				$this->ResMsg = "Old password dosen't exists! Password remains unchanged.";
			}
		}
		$this->t->set_var("name", $ssname);
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>