<?php

class consultancytypelist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function consultancytypelist($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dConsultancyType();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aConsultancyType();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delConsultancyType();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dConsultancyType() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLECONSULTANCYTYPE . " SET status = '0' WHERE ctId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected ConsultancyType(s) deactived successfully.";
		}
	}

	function aConsultancyType() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLECONSULTANCYTYPE . " SET status = '1' WHERE ctId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected ConsultancyType(s) actived successfully.";
		}
	}

	function delConsultancyType() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLECONSULTANCYTYPE . " WHERE ctId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected ConsultancyType(s) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "consultancyTypeList", "consultancyTypes");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$ResMsg = "";
		$ctQry = "SELECT ctId,ctName,status FROM " . TABLECONSULTANCYTYPE . " ORDER BY ctId DESC";
		$ctRes = $this->home1->con->execQry($ctQry);
		$ctRows = $this->home1->con->rowCount($ctRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$usrRes = $paging->queryResult($ctQry);
		$usrRows = $this->home1->con->rowCount($usrRes);
		$pageLinks = $paging->addPaging($ctQry);

		if ($ctRows > 0) {
			$i = 1;
			while ($ctObj = $this->home1->con->fetchObj($usrRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $ctObj->ctId . ">";
				$name = html_entities(trim($ctObj->ctName));
				$editview = "<a href=?userID=" . $ctObj->ctId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=consultancytypeMod.php?userID=" . $ctObj->ctId . "&action=editconsultancytype><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";



				//$editview="<a href=consultancytypeMod.php?userID=".$ctObj->ctId."&action=editconsultancytype class='formlink'><img src='".$_CONF['siteUrl']."images/adminimg/view_edit.png' border='0' alt='View Edit'></a>";

				$this->t->set_var("chkid", $chkID);
				$this->t->set_var("username", $name);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("consultancytype", html_entities($ctObj->ctName));
				$this->t->set_var("editview", $editview);
				if ($ctObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("consultancyTypes", "consultancyTypeList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("consultancyTypes", "");
		}
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>