<?php

class countryMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $duplicate;
	var $home1;
	var $att = array();

	function countryMod($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		foreach ($attr as $key => $value) {
			$attr[$key] = fn_addslash($value);
		}
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		switch ($this->sMode) {
			case 'addcountry':
				$this->addCountry();
				$this->showPage();
				break;
			case 'editcountry':
				$this->editCountry();
				$this->showPage();
				break;
			default:
				$this->addCountry();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addCountry() {
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['cID'] == '0') {
			$duplicate = 0;
			//$sql = "SELECT cName FROM ".TABLECOUNTRY." WHERE cName = '".$this->att['country']."'";
			$sql = "SELECT cName FROM " . TABLECOUNTRY . " WHERE (cName = '" . $this->att['country'] . "' OR cCode = '" . $this->att['code'] . "')";

			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
			}
			if ($duplicate == 0) {
				$fieldlist = "cName, cCode, status";
				$values = "'" . $this->att['country'] . "','" . $this->att['code'] . "','1'";
				$sql = "INSERT INTO " . TABLECOUNTRY . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("country.php");
				exit;
			} else {
				$errormsg = "Either country or the code already exists!";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("country", $this->att['country']);
				$this->t->set_var("code", $this->att['code']);
			}
		} else {
			$this->t->set_var("country", "");
			$this->t->set_var("code", "");
		}

		$this->t->set_var("cid", 0);
		$this->t->set_var("user_action", "addcountry");
		$this->t->set_var("pageheading", "Add Country");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editCountry() {
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['cID'] != '0') {
			$sql = "SELECT cName FROM " . TABLECOUNTRY . " WHERE (cName = '" . $this->att['country'] . "' OR cCode = '" . $this->att['code'] . "') AND cId != '" . $this->att['cID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "Either country or the code already exists!");
				$this->t->set_var("country", $this->att['country']);
				$this->t->set_var("code", $this->att['code']);
			}
			if ($duplicate == 0) {
				$fields_in = " cName = '" . $this->att['country'] . "'";
				$fields_in .= " ,cCode = '" . $this->att['code'] . "'";
				$condition = " WHERE cId = " . $this->att['cID'];
				$sql = "UPDATE " . TABLECOUNTRY . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("country.php");
				exit;
			}
		} else {
			$countryQry = "SELECT cId,cName,cCode FROM " . TABLECOUNTRY . " WHERE cId='{$this->att['cID']}'";
			$countryRes = $this->home1->con->execQry($countryQry);
			$countryRows = $this->home1->con->rowCount($countryRes);
			if ($countryRows > 0) {
				$countryObj = $this->home1->con->fetchObj($countryRes);
				$this->t->set_var("cid", html_entities($countryObj->cId));
				$this->t->set_var("country", html_entities($countryObj->cName));
				$this->t->set_var("code", html_entities($countryObj->cCode));
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("cid", $this->att['cID']);
		$this->t->set_var("user_action", "editcountry");
		$this->t->set_var("pageheading", "Edit Country");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>