<?php

class servicecountrylist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $selection;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function servicecountrylist($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dServiceCountry();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aServiceCountry();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delServiceCountry();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dServiceCountry() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLESERVICECOUNTRY . " SET status = '0' WHERE scId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected service country(ies) deactived successfully.";
		}
	}

	function aServiceCountry() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLESERVICECOUNTRY . " SET status = '1' WHERE scId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected service country(ies) actived successfully.";
		}
	}

	function delServiceCountry() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLESERVICECOUNTRY . " WHERE scId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected service country(ies) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF, $selection;
		$this->t->set_block("FORMPAGE", "servicecountryList", "servicecountryLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$ResMsg = "";
		$scQry = "SELECT scId,scCountryId,scServTypeId,scCountryAutoId,status FROM " . TABLESERVICECOUNTRY . " ORDER BY scServTypeId ASC";
		$scRes = $this->home1->con->execQry($scQry);
		$scRows = $this->home1->con->rowCount($scRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$sRes = $paging->queryResult($scQry);
		$sRows = $this->home1->con->rowCount($sRes);
		$pageLinks = $paging->addPaging($scQry);

		if ($scRows > 0) {
			$i = 1;
			while ($sObj = $this->home1->con->fetchObj($sRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $sObj->scId . ">";
				$countryName = getCountryName($sObj->scCountryId);
				$countryCode = getCountryCode($sObj->scCountryId);
				$servicetypeName = getServiceTypeName($sObj->scServTypeId);
				$editview = "<a href=servicecountryMod.php?scID=" . $sObj->scId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=servicecountryMod.php?scID=" . $sObj->scId . "&action=editservicecountry><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";

				//$editview="<a href=servicecountryMod.php?scID=".$sObj->scId."&action=editservicecountry class='formlink'><img src='".$_CONF['siteUrl']."images/adminimg/view_edit.png' border='0' alt='View Edit'></a>";
				$this->t->set_var("chkid", $chkID);
				//$this->t->set_var("username",$name);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("cid", $countryName);
				$this->t->set_var("stid", $servicetypeName);
				$this->t->set_var("ccode", $countryCode);
				$this->t->set_var("caid", $sObj->scCountryAutoId);
				$this->t->set_var("editview", $editview);
				if ($sObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("servicecountryLists", "servicecountryList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("servicecountryLists", "");
		}
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>