<?php

class servicetypeMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $att = array();

	function servicetypeMod($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		foreach ($attr as $key => $value) {
			$attr[$key] = fn_addslash($value);
		}
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		switch ($this->sMode) {
			case 'addservicetype':
				$this->addServiceType();
				$this->showPage();
				break;
			case 'editservicetype':
				$this->editServiceType();
				$this->showPage();
				break;
			default:
				$this->addServiceType();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addServiceType() {
		global $_CONF;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['userID'] == '0') {
			$duplicate = 0;
			$sql = "SELECT stId FROM " . TABLESERVICETYPE . " WHERE stName = '" . $this->att['servicetype'] . "' OR stCode = '" . $this->att['servicecode'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
			}
			if ($duplicate == 0) {
				$fieldlist = "stName, stCode, status";
				$values = "'" . $this->att['servicetype'] . "', '" . $this->att['servicecode'] . "','1'";
				$sql = "INSERT INTO " . TABLESERVICETYPE . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("servicetype.php");
				exit;
			} else {
				$errormsg = "Service Type or Service Code already exists!";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("servicetype", $this->att['servicetype']);
				$this->t->set_var("servicecode", $this->att['servicecode']);
			}
		} else {
			$this->t->set_var("servicetype", "");
		}

		$this->t->set_var("userid", 0);
		$this->t->set_var("user_action", "addservicetype");
		$this->t->set_var("pageheading", "Add ServiceType");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editServiceType() {
		global $_CONF;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['userID'] != '0') {
			$sql = "SELECT stId FROM " . TABLESERVICETYPE . " WHERE (stName = '" . $this->att['servicetype'] . "' OR stCode = '" . $this->att['servicecode'] . "') AND stId != '" . $this->att['userID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "Service Type or Service Code already exists!");
				$this->t->set_var("servicetype", $this->att['servicetype']);
				$this->t->set_var("servicecode", $this->att['servicecode']);
			}
			if ($duplicate == 0) {
				$fields_in = " stName = '" . $this->att['servicetype'] . "'";
				$fields_in .= " ,stCode = '" . $this->att['servicecode'] . "'";
				$condition = " WHERE stId = " . $this->att['userID'];
				$sql = "UPDATE " . TABLESERVICETYPE . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("servicetype.php");
				exit;
			}
		} else {
			$stQry = "SELECT stId,stName,stCode FROM " . TABLESERVICETYPE . " WHERE stId='{$this->att['userID']}'";
			$stRes = $this->home1->con->execQry($stQry);
			$stRows = $this->home1->con->rowCount($stRes);
			if ($stRows > 0) {
				$stObj = $this->home1->con->fetchObj($stRes);
				$this->t->set_var("userid", html_entities($stObj->stId));
				$this->t->set_var("servicetype", html_entities($stObj->stName));
				$this->t->set_var("servicecode", $stObj->stCode);
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("userid", $this->att['userID']);
		$this->t->set_var("user_action", "editservicetype");
		$this->t->set_var("pageheading", "Edit ServiceType");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>