<?php

class userrightslist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function userrightslist($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dUserRights();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aUserRights();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delUserRights();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dUserRights() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEBRANCH . " SET status = '0' WHERE urId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected user right(s) deactived successfully.";
		}
	}

	function aUserRights() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEUSERRIGHTS . " SET status = '1' WHERE urId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected user right(s) actived successfully.";
		}
	}

	function delUserRights() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLEUSERRIGHTS . " WHERE urId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected user right(s) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "userrightsList", "userrightsLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$ResMsg = "";
		$userrightsQry = "SELECT urId,urUserTypeId,urMenuId,status FROM " . TABLEUSERRIGHTS . " ORDER BY urId DESC";
		$userrightsRes = $this->home1->con->execQry($userrightsQry);
		$userrightsRows = $this->home1->con->rowCount($userrightsRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$aRes = $paging->queryResult($userrightsQry);
		$aRows = $this->home1->con->rowCount($aRes);
		$pageLinks = $paging->addPaging($userrightsQry);

		if ($userrightsRows > 0) {
			$i = 1;
			while ($urObj = $this->home1->con->fetchObj($aRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $urObj->urId . ">";
				$name = getUserType($urObj->urUserTypeId);
				$menuName = getMenuName($urObj->urMenuId);
				$editview = "<a href=userrightsMod.php?urID=" . $urObj->urId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=userrightsMod.php?urID=" . $urObj->urId . "&action=edituserrights><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";

				$this->t->set_var("chkid", $chkID);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("utid", $name);
				$this->t->set_var("mid", $menuName);
				$this->t->set_var("editview", $editview);
				if ($urObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("userrightsLists", "userrightsList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("userrightsLists", "");
		}
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>