<?php

class consultancytypeMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $att = array();

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		foreach ($attr as $key => $value) {
			$attr[$key] = fn_addslash($value);
		}
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		switch ($this->sMode) {
			case 'addconsultancytype':
				$this->addConsultancyType();
				$this->showPage();
				break;
			case 'editconsultancytype':
				$this->editConsultancyType();
				$this->showPage();
				break;
			default:
				$this->addConsultancyType();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addConsultancyType() {
		global $_CONF;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['userID'] == '0') {
			$duplicate = 0;
			$sql = "SELECT ctName FROM " . TABLECONSULTANCYTYPE . " WHERE ctName = '" . $this->att['consultancytype'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
			}
			if ($duplicate == 0) {
				$fieldlist = "ctName, status";
				$values = "'" . $this->att['consultancytype'] . "','1'";
				$sql = "INSERT INTO " . TABLECONSULTANCYTYPE . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("consultancytype.php");
				exit;
			} else {
				$errormsg = "ConsultancyType already exist";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("consultancytype", $this->att['consultancytype']);
			}
		} else {
			$this->t->set_var("consultancytype", "");
		}

		$this->t->set_var("userid", 0);
		$this->t->set_var("user_action", "addconsultancytype");
		$this->t->set_var("pageheading", "Add ConsultancyType");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editConsultancyType() {
		global $_CONF;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['userID'] != '0') {
			$sql = "SELECT ctName FROM " . TABLECONSULTANCYTYPE . " WHERE (ctName = '" . $this->att['consultancytype'] . "') AND ctId != '" . $this->att['userID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "ConsultancyType already exists!");
				$this->t->set_var("consultancytype", $this->att['consultancytype']);
			}
			if ($duplicate == 0) {
				$fields_in = " ctName = '" . $this->att['consultancytype'] . "'";
				$condition = " WHERE ctId = " . $this->att['userID'];
				$sql = "UPDATE " . TABLECONSULTANCYTYPE . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("consultancytype.php");
				exit;
			}
		} else {
			$userCompQry = "SELECT ctId,ctName FROM " . TABLECONSULTANCYTYPE . " WHERE ctId='{$this->att['userID']}'";
			$userCompRes = $this->home1->con->execQry($userCompQry);
			$userCompRows = $this->home1->con->rowCount($userCompRes);
			if ($userCompRows > 0) {
				$userCompObj = $this->home1->con->fetchObj($userCompRes);
				$this->t->set_var("userid", html_entities($userCompObj->ctId));
				$this->t->set_var("consultancytype", html_entities($userCompObj->ctName));
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("userid", $this->att['userID']);
		$this->t->set_var("user_action", "editconsultancytype");
		$this->t->set_var("pageheading", "Edit ConsultancyType");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>