<?php

class currencylist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dCurrency();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aCurrency();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delCurrency();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dCurrency() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLECURRENCY . " SET status = '0' WHERE curId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected Currency(ies) deactived successfully.";
		}
	}

	function aCurrency() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLECURRENCY . " SET status = '1' WHERE curId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected Currency(ies) actived successfully.";
		}
	}

	function delCurrency() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLECURRENCY . " WHERE curId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected Currency(ies) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "currencyList", "currencyLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$ResMsg = "";
		$curQry = "SELECT curId,curName,curSymbol,status,curCId FROM " . TABLECURRENCY . " ORDER BY curId DESC";
		$curRes = $this->home1->con->execQry($curQry);
		$curRows = $this->home1->con->rowCount($curRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$usrRes = $paging->queryResult($curQry);
		$usrRows = $this->home1->con->rowCount($usrRes);
		$pageLinks = $paging->addPaging($curQry);

		if ($curRows > 0) {
			$i = 1;
			while ($curObj = $this->home1->con->fetchObj($usrRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $curObj->curId . ">";
				$country = getCountryName($curObj->curCId);
				$name = html_entities(trim($curObj->curName));
				$editview = "<a href=?userID=" . $curObj->curId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=currencyMod.php?userID=" . $curObj->curId . "&action=editcurrency><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";
				$this->t->set_var("chkid", $chkID);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("currencyName", $name);
				$this->t->set_var("currencySymbol", $curObj->curSymbol);
				$this->t->set_var("country", $country);
				$this->t->set_var("editview", $editview);
				if ($curObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("currencyLists", "currencyList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("currencyLists", "");
		}
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>