<?php

class filelist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {

			case 'delete':
				$this->deleteUser();
				$this->parseBody();
				$this->showPage();
				break;

			// Function that used to check what is to be displayed next				
			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function deleteUser() {
		// DELETE the user account
		global $siteUrl;
		$selection = $this->att['selection'];
		if ($selection != '') {
			$userID = implode(",", $selection);
			foreach ($selection as $key => $value) {
				$selQry = "SELECT filePath FROM tbl_resourcefile WHERE fileId = '{$value}'";
				$selRes = $this->home1->con->execQry($selQry);
				while ($rowObj = $this->home1->con->fetchObj($selRes)) {
					if (file_exists('../' . $rowObj->filePath)) {
						unlink('../' . $rowObj->filePath);
					}
				}
			}
			$enQry = "DELETE FROM tbl_resourcefile WHERE fileId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected Resource deleted Successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "userList", "userLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$ResMsg = "";
		$userCompQry = "select * FROM tbl_resourcefile";
		$userCompRes = $this->home1->con->execQry($userCompQry);
		$userCompRows = $this->home1->con->rowCount($userCompRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$usrRes = $paging->queryResult($userCompQry);
		$usrRows = $this->home1->con->rowCount($usrRes);
		$pageLinks = $paging->addPaging($userCompQry);

		if ($userCompRows > 0) {
			$i = 1;
			while ($userCompObj = $this->home1->con->fetchObj($usrRes)) {
				$email = $userCompObj->str_email;
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $userCompObj->fileId . ">";

				$editview = "<a href=resourcefile.php?fileID=" . $userCompObj->fileId . "&action=editfile class='formlink'><img src='" . $_CONF['siteUrl'] . "images/adminimg/view_edit.png' border='0' alt='View Edit'></a>";
				$this->t->set_var("chkid", $chkID);

				$this->t->set_var("displayname", html_entities($userCompObj->filedisplayName));

				$this->t->set_var("filedate", html_entities($userCompObj->uploadedDate));
				$this->t->set_var("fileDescription", html_entities($userCompObj->fileDescription));
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "lgtblue");
				}

				$this->t->set_var("userid", $email);
				$this->t->set_var("editview", $editview);
				$this->t->parse("userLists", "userList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("userLists", "");
		}
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>