<?php

class installmentMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $sSel;
	var $cSel;
	var $home1;
	var $duplicate;
	var $att = array();

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		foreach ($attr as $key => $value) {
			$attr[$key] = fn_addslash($value);
		}
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		global $sSel, $cSel;
		$this->t->set_block("FORMPAGE", "addServCountryList", "addServCountryLists");
		$this->t->set_block("FORMPAGE", "editServCountryList", "editServCountryLists");

		if (!isset($this->att['stid']) && !isset($this->att['cid']) && isset($this->att['iID'])) {
			$sql = "SELECT iServTypeId,iCountryId FROM " . TABLEINSTALLMENT . " WHERE iId = '" . $this->att['iID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$instObj = $this->home1->con->fetchObj($result);
			$sSel = $instObj->iServTypeId;
			$cSel = $instObj->iCountryId;
		} else if (isset($this->att['stid']) && isset($this->att['cid'])) {
			$sSel = $this->att['stid'];
			$cSel = $this->att['cid'];
		}

		$this->t->set_var("servicetype", serviceTypeList($sSel));
		switch ($this->sMode) {
			case 'addinstallment':
				$this->addInstallment();
				$this->showPage();
				break;
			case 'editinstallment':
				$this->editInstallment($cSel, $sSel);
				$this->showPage();
				break;
			default:
				$this->addInstallment();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addInstallment() {
		$this->t->parse("addServCountryLists", "addServCountryList");
		$this->t->parse("editServCountryLists", "");
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['iID'] == '0') {
			$duplicate = 0;
			//$sql = "SELECT iName FROM ".TABLEINSTALLMENT." WHERE iName = '".$this->att['installment']."' AND iServTypeId = ".$this->att['stid']." ";
			$sql = "SELECT iName FROM " . TABLEINSTALLMENT . " WHERE iName = '" . $this->att['installment'] . "' AND iServTypeId = " . $this->att['stid'] . " AND iCountryId = " . $this->att['cid'] . "";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
			}
			if ($duplicate == 0) {
				$fieldlist = "iName, iCountryId, iServTypeId, status";
				$values = "'" . $this->att['installment'] . "','" . $this->att['cid'] . "','" . $this->att['stid'] . "','1'";
				$sql = "INSERT INTO " . TABLEINSTALLMENT . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("installment.php");
				exit;
			} else {
				$errormsg = "Installment Name already exists!";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("installment", $this->att['installment']);
				$this->t->set_var("country", countryListByService($this->att['cid'], $this->att['stid']));
			}
		} else {
			$this->t->set_var("installment", "");
			$this->t->set_var("stid", "");
			$this->t->set_var("cid", "");
		}

		$this->t->set_var("iid", 0);
		$this->t->set_var("user_action", "addinstallment");
		$this->t->set_var("pageheading", "Add Installment Name");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editInstallment($cSel, $sSel) {
		$this->t->parse("editServCountryLists", "editServCountryList");
		$this->t->parse("addServCountryLists", "");
		$this->t->set_var("servicetype", serviceTypeList($sSel));
		$this->t->set_var("country", countryListByService($cSel, $sSel));
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		//print_r($_POST);

		if (isset($this->att['add']) && $this->att['iID'] != '0') {
			$sql = "SELECT iName FROM " . TABLEINSTALLMENT . " WHERE (iName = '" . $this->att['installment'] . "') AND iId != '" . $this->att['iID'] . "' AND iServTypeId = '" . $this->att['stid'] . "' AND iCountryId = " . $this->att['cid'] . " ";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "Installment Name already exists!");
				$this->t->set_var("installment", $this->att['installment']);
				$this->t->set_var("country", countryListByService($this->att['cid'], $this->att['stid']));
			}
			if ($duplicate == 0) {
				$fields_in = " iName = '" . $this->att['installment'] . "'";
				$fields_in .= " ,iServTypeId = '" . $this->att['stid'] . "'";
				$fields_in .= " ,iCountryId = '" . $this->att['cid'] . "'";
				$condition = " WHERE iId = " . $this->att['iID'];
				$sql = "UPDATE " . TABLEINSTALLMENT . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("installment.php");
				exit;
			}
		} else {
			$instQry = "SELECT iId,iName,iServTypeId,iCountryId FROM " . TABLEINSTALLMENT . " WHERE iId='{$this->att['iID']}'";
			$instRes = $this->home1->con->execQry($instQry);
			$instRows = $this->home1->con->rowCount($instRes);
			if ($instRows > 0) {
				$instObj = $this->home1->con->fetchObj($instRes);
				$this->t->set_var("iid", $instObj->iId);
				$this->t->set_var("installment", html_entities($instObj->iName));
				$this->t->set_var("stid", $instObj->iServTypeId);
				$this->t->set_var("cid", $instObj->iCountryId);
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("iid", $this->att['iID']);
		$this->t->set_var("user_action", "editinstallment");
		$this->t->set_var("pageheading", "Edit Installment Name");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>