<?php

class paymentmodelist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dPaymentMode();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aPaymentMode();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delPaymentMode();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dPaymentMode() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$pmID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEPAYMENTMODE . " SET status = '0' WHERE pmId IN(" . $pmID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected payment mode(s) deactived successfully.";
		}
	}

	function aPaymentMode() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$pmID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEPAYMENTMODE . " SET status = '1' WHERE pmId IN(" . $pmID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected payment mode(s) actived successfully.";
		}
	}

	function delPaymentMode() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$pmID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLEPAYMENTMODE . " WHERE pmId IN(" . $pmID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected payment mode(s) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "paymentModeList", "paymentModeLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$ResMsg = "";
		$pmQry = "SELECT pmId,pmName,status FROM " . TABLEPAYMENTMODE . " ORDER BY pmId DESC";
		$pmRes = $this->home1->con->execQry($pmQry);
		$pmRows = $this->home1->con->rowCount($pmRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$pRes = $paging->queryResult($pmQry);
		$pRows = $this->home1->con->rowCount($pRes);
		$pageLinks = $paging->addPaging($pmQry);

		if ($pmRows > 0) {
			$i = 1;
			while ($pmObj = $this->home1->con->fetchObj($pRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $pmObj->pmId . ">";
				$name = html_entities(trim($pmObj->pmName));
				$editview = "<a href=?pmID=" . $pmObj->pmId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=paymentmodeMod.php?pmID=" . $pmObj->pmId . "&action=editpaymentmode><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";

				$this->t->set_var("chkid", $chkID);
				$this->t->set_var("username", $name);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("paymentmode", html_entities($pmObj->pmName));
				$this->t->set_var("editview", $editview);
				if ($pmObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("paymentModeLists", "paymentModeList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("paymentModeLists", "");
		}
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>