<?php

//session_start();

include_once('../dbConn.php');
//include_once('../../lib/utilities.function.php');

/**
 * This function will return the currency code respective to the country's id.
 * @param	string.
 * @return	string.
 * @author	Anish Sharma
 */
function getCurrCode($cId = '', $db = '') {
	$currCode[] = '';
	$query = "SELECT curId,curSymbol FROM tbl_currency WHERE curCId={$cId}";
	$Res = mysqli_query($db,$query);
	$Rows = mysqli_num_rows($Res);
	$rowData = mysqli_fetch_array($Res);
	$currCode = $rowData['curSymbol'] . ',' . $rowData['curId'];
	return $currCode;
}

/** [ADDED ON 13th Sept 2010]
 * This function will maintain the MONTH & YEAR for Client Unique ID.
 * @param	Client Unique ID.
 * @return	month-year.
 * @author	Anish Sharma
 */
function getMonYrForRa($raNo = '', $bId = '', $email = '', $db = '') {
	$monYr = '';
	if (!is_object($db)) {
		makeDbConnection($db);
	}

	// $checkForMultiRcpts = $db->execQry("SELECT COUNT(clId) AS total FROM " . TABLECLIENT . " WHERE clRetainerAggNo = " . $raNo . " AND clReceiptIssuingBranchId=" . $bId . " AND clEmail = '" . $email . "'");
	//=== updated in mysqli
	$sql="SELECT COUNT(clId) AS total FROM tbl_client WHERE clRetainerAggNo = " . $raNo . " AND clReceiptIssuingBranchId=" . $bId . " AND clEmail = '" . $email . "'" ;
	$checkForMultiRcpts = mysqli_query($db, $sql);	
	$chkCount =   mysqli_fetch_object($checkForMultiRcpts);	
	//$chkCount = $db->fetchObj($checkForMultiRcpts);
	if ($chkCount->total) {
// 		$sqlGetMonYrForRa = $db->execQry("SELECT DATE_FORMAT(clCreateDate,'%m') AS raMonth, DATE_FORMAT(clCreateDate,'%y') AS raYear FROM " . TABLECLIENT . " WHERE
// clRetainerAggNo = " . $raNo . " AND clReceiptIssuingBranchId=" . $bId . " AND clEmail = '" . $email . "' ORDER BY clCreateDate ASC LIMIT 1");
		$sqwl = "SELECT DATE_FORMAT(clCreateDate,'%m') AS raMonth, DATE_FORMAT(clCreateDate,'%y') AS raYear FROM tbl_client WHERE
clRetainerAggNo = " . $raNo . " AND clReceiptIssuingBranchId=" . $bId . " AND clEmail = '" . $email . "' ORDER BY clCreateDate ASC LIMIT 1";
		$sqlGetMonYrForRa = mysqli_query($db, $sqwl);	
		 $resGetMonYrForRa =   mysqli_fetch_object($sqlGetMonYrForRa);
//		$resGetMonYrForRa = $db->fetchObj($sqlGetMonYrForRa);
		$monYr = $resGetMonYrForRa->raMonth . $resGetMonYrForRa->raYear;
	} else {
		$monYr = '';
	}
	return $monYr;
}

/**
 * This function will return the prefix code for Client Unique ID.
 * @param	string.
 * @return	string.
 * @author	Anish Sharma
 */
function getPreCodeForRaNo($stId = '', $bId = '', $scId = '',$db = '') {
	$preCode = '';
	$query = "SELECT stCode,bCode FROM tbl_servicetype , tbl_branch WHERE stId={$stId} AND bId = {$bId}";
	$Res = mysqli_query($db,$query);
	$Rows = mysqli_num_rows($Res);
	$rowData = mysqli_fetch_array($Res);
	$currCode = explode(',', getCurrCode($scId,$db));
	$preCode = $currCode[0] . $rowData['stCode'] . $rowData['bCode'];
	return $preCode;
}

/**
 * This function will return the advisor's name.
 * @param	string.
 * @return	string.
 * @author	Anish Sharma
 */
function getAdvisorName($advId = '', $db = '') {
	$advName = '';

	$query = "SELECT adName FROM tbl_advisor WHERE adId={$advId}";
	$Res = mysqli_query($db,$query);
	$Rows = mysqli_num_rows($Res);
	$rowData = mysqli_fetch_array($Res);
	if ($Rows > 0) {
		$advName = $rowData['adName'];
	}
	return $advName;
}

/**
 * This function will return the case status name.
 * @param	string.
 * @return	string.
 * @author	Anish Sharma
 */
function getCaseStatusName($csId = '', $db = '') {
	$csName = '';
	if ($csId == 0) {
		$csName = 'In Progress';
	} else {
		$query = "SELECT csName FROM tbl_casestatus WHERE csId={$csId}";
		$Res = mysqli_query($db,$query);
		$Rows = mysqli_num_rows($Res);
		$rowData = mysqli_fetch_array($Res);
		if ($Rows > 0) {
			$csName = $rowData['csName'];
		}
	}
	return $csName;
}

/**
 * This function will return the service type name.
 * @param	string.
 * @return	string.
 * @author	Anish Sharma
 */
function getServiceTypeName($stId = '', $db = '') {
	$stName = '';
	$query = "SELECT stName FROM tbl_servicetype WHERE stId={$stId}";
	$Res = mysqli_query($db,$query);
	$Rows = mysqli_num_rows($Res);
	$rowData = mysqli_fetch_array($Res);
	$stName = $rowData['stName'];
	return $stName;
}

/**
 * This function will return the country's name.
 * @param	string.
 * @return	string.
 * @author	Anish Sharma
 */
function getCountryName($countryId = '', $db = '') {
	$cName = '';
	$query = "SELECT cName FROM tbl_country WHERE cId={$countryId}";
	$Res = mysqli_query($db,$query);
	$Rows = mysqli_num_rows($Res);
	$rowData = mysqli_fetch_array($Res);
	if ($Rows > 0) {
		$cName = $rowData['cName'];
	}
	return $cName;
}

//get the posted values
if (isset($_POST['srName'])) {
	if ($_POST['srName'] != '') {
		$srName = str_replace(" ", "", $_POST['srName']);
		$usrId = trim($_POST['usrId']);

		$sqlQry = "SELECT clId, clReceiptIssuingBranchId, clRetainerAggNo, clOldRetainerAggNo, clFirstName , clMiddleName, clEmail,clLastName , DATE_FORMAT(clCreateDate, '%d-%m-%Y') AS dated, clServTypeId, clCtTypeId, clServCountryId, clCaseStatus, bName, bSid, bCid, pdAdvisorId, MIN(pdBalance) AS pdBalance FROM tbl_client, tbl_branch, tbl_paydetails WHERE CONCAT(clFirstName,clMiddleName,clLastName) LIKE '{$srName}%' AND clReceiptIssuingBranchId = {$usrId} AND bId = {$usrId} AND clId = pdClId GROUP BY clEmail ORDER BY dated DESC";

		$exeQry = mysqli_query($link,$sqlQry);
		$numRows = mysqli_num_rows($exeQry);

		$html = '
		<table width="100%" border="0" cellspascing="1" cellpadding="1" align="center">
		<tr class="highlightGrey">
			<th align="left" class="padleft_5" width="2%">S.No</th>
			<th align="left" class="padleft_5" width="15%">Name</th>
			<th align="left" class="padleft_5" width="12%">Client Unique ID</th>
			<th align="left" class="padleft_5" width="8%">Reg. Date</th>
			<th align="left" class="padleft_5" width="12%">Registered By</th>
			<th align="left" class="padleft_5" width="8%">Client Type</th>
			<th align="left" class="padleft_5" width="17%">Serv.Type - Serv.Country</th>
			<th align="left" class="padleft_5" width="14%">Case Status</th>
			<th align="right" class="padright_5" width="11%">Balance Amount</th>
		</tr>
	';
		if ($numRows > 0) {
			$i = 1;
			while ($rows = mysqli_fetch_array($exeQry)) {

				if ($i % 2 == 0) {
					$classdisp = "class=\"darkCell\"";
				} else {
					$classdisp = "class=\"lightcell\"";
				}

				$name = $rows['clFirstName'] . ' ' . $rows['clMiddleName'] . ' ' . $rows['clLastName'];
				if ($rows['clRetainerAggNo'] == 0) {
					$linkRaNo = $rows['clOldRetainerAggNo'];
					$raNo = $rows['clOldRetainerAggNo'];
					$clType = 'Old';
				} else {
					$prefixRaCode =
						getPreCodeForRaNo($rows['clServTypeId'], $usrId, $rows['clServCountryId'],$link) . getMonYrForRa($rows['clRetainerAggNo'], $rows['clReceiptIssuingBranchId'], $rows['clEmail'],$link);
					$raNo = $prefixRaCode . str_pad($rows['clRetainerAggNo'], 4, "0", STR_PAD_LEFT);
					$linkRaNo = $rows['clRetainerAggNo'];
					$clType = 'New';
				}

				if ($rows['pdAdvisorId'] != 0) {
					$regBy = getAdvisorName($rows['pdAdvisorId'],$link);
				} else {
					$regBy = '----------------';
				}
				$clStatus = getCaseStatusName($rows['clCaseStatus'],$link);

				$stid = $rows['clServTypeId'];
				$clSt = getServiceTypeName($stid,$link);
				if ($clSt == 'Immigration') {
					$sType = 'IMMI';
					$color = '#FE6602';
				} else {
					$sType = 'SA';
					$color = '#00923F';
				}

				$cid = $rows['clServCountryId'];
				$clServCountryId = getCountryName($cid,$link);

				$html .=' <tr ' . $classdisp . '>
			<td align="center" class="padleft_5">' . $i . '</td>
			<td align="left" class="padleft_5"><a href="clientprofile.php?clId=' . $linkRaNo . '&bId=' . $rows['clReceiptIssuingBranchId'] . '&ct=' . $rows['clCtTypeId'] . '&st=' . $rows['clServTypeId'] . '&sc=' . $rows['clServCountryId'] . '&wc=' . $clType . '&bs=' . $rows['bSid'] . '&b=' . $rows['bName'] . '&bc=' . $rows['bCid'] . '" class="dispLink" target="_blank">' . $name . '</a></td>
			<td align="left" class="padleft_5">' . $raNo . '</td>
			<td align="left" class="padleft_5">' . $rows['dated'] . '</td>
			<td align="left" class="padleft_5">' . $regBy . '</td>
			<td align="left" class="padleft_5">' . $clType . '</td>
			<td align="left" class="padleft_5"><font color="' . $color . '">' . $sType . '</font>-' . $clServCountryId . '</td>
			<td align="left" class="padleft_5">' . $clStatus . '</td>
			<td align="right" class="padright_5">' . $rows['pdBalance'] . '</td>
		</tr>
		';
				$i++;
			}
		} else {
			$html .='<tr>
			<td align="center" colspan="9">
			<label class="messageboxerror">no record found for the name "' . $_POST['srName'] . '"</label>
			</td>
		</tr>
';
		}
		$html .= '</table>';
		echo $html;
	} else {
		echo 'no';
	}
}
?>
