<?php

class paging {

	var $limit;
	var $scroll;
	var $scrollnumber;
	var $pageLinks = "";
	var $extraParamters = '';
	var $db;

	function paging($db, $limit, $scroll, $scrollnumber) {
		$this->db = $db;
		$this->limit = $limit;
		$this->scroll = $scroll;
		$this->scrollnumber = $scrollnumber;
	}

	function queryResult($qry) {
		global $display;

		if (!isset($_REQUEST['show'])) {
			$display = 1;
		} else {
			$display = $_REQUEST['show'];
		}
			
		// Return results from START to LIMIT
		$start = (($display * $this->limit) - $this->limit);

		$Qry = $qry . " limit $start,$this->limit";
		$Res = $this->db->execQry($Qry);
		return $Res;
	}

	function addPaging($qry) {
		//global $database,$limit,$scroll,$scrollnumber,$pageLinks;
		global $display, $pageLinks, $extraParameters;	
		if(isset($_REQUEST['name'])){
			$extraParameters = 'name='.$_REQUEST['name'];
		}
		$query = $qry;
		$qryRes = $this->db->execQry($query);

		$numrows = $this->db->rowCount($qryRes);
		$paging = ceil($numrows / $this->limit);
		if ($numrows == 0) {
			$pageLinks = "";
			return $pageLinks;
		}

		// Display the navigation
		if ($display > 0) {
			$previous = $display - 1;
			if ($display == 1) {
				$pageLinks .= '<span class="pageBtns"><img src="../images/first_d.gif"/>&nbsp;<img src="../images/previous_d.gif"/>&nbsp;</span>';
			} else {
				// $pageLinks .= "<span class='pageBtns'><a href='" . $_SERVER['PHP_SELF'] . "?show=1&" . $extraParameters . "'><img src=\"../images/first_e.gif\"/></a>&nbsp;<a href=" . $_SERVER['PHP_SELF'] . "?show=$previous&" . $extraParameters . "><img src=\"../images/previous_e.gif\"/></a>&nbsp;</span>";
				$pageLinks .= "<span class='pageBtns'><a href='" . $_SERVER['PHP_SELF'] . "?show=1&" . $extraParameters . "'><img src=\"../images/first_e.gif\"/></a>&nbsp;<a href=" . $_SERVER['PHP_SELF'] . "?show=$previous&" . $extraParameters . "><img src=\"../images/previous_e.gif\"/></a>&nbsp;</span>";
			}
		}

		if ($numrows != $this->limit) {
			if ($this->scroll == 1) {
				if ($paging > $this->scrollnumber) {
					$first = $display;
					$last = ($this->scrollnumber - 1) + $display;
				}
			} else {
				$first = 1;
				$last = $paging;
			}
			if ($last > $paging) {
				$first = $paging - ($this->scrollnumber - 1);
				$last = $paging;
			}
			$pageLinks .= '<SELECT NAME="show" class="selBox" onChange="pageChange();"> >';
			for ($i = 1; $i <= $paging; $i++) {
				if ($display == $i) {
					$select = "selected";
				} else {
					$select = "";
				}
				$pageLinks .= "<option $select value='$i'>$i</option>[ <a href=" . $_SERVER['PHP_SELF'] . "?show=$i&" . $extraParameters . ">$i</a> ]";
				//}
			}
			$pageLinks .= "</SELECT>";
			$pageLinks .= '<INPUT TYPE="hidden" name="key" value="1">';
		}
		if ($display <= $paging) {
			$next = $display + 1;
			if ($display == $paging) {
				$pageLinks .= '&nbsp;<span class="pageBtns"><img src="../images/next_d.gif"/>&nbsp;<img src="../images/last_d.gif"/> </span>';
			} else {
				$pageLinks .= "&nbsp;<span class='pageBtns'><a href=" . $_SERVER['PHP_SELF'] . "?show=$next&" . $extraParameters . "><img src=\"../images/next_e.gif\"/></a>&nbsp;<a href=" . $_SERVER['PHP_SELF'] . "?show=$paging&" . $extraParameters . "><img src=\"../images/last_e.gif\"/></a></span>";
			}
		}
		return $pageLinks;
	}

}

/////End of the class////////////////
?>