<?php

class login {

	var $sTemplatePath;
	var $sMainTemplate;
	var $sFormTemplate;
	var $sHeaderTemplate;
	var $sFooterTemplate;
	var $sMode;
	var $sTitle;
	var $obDBCon;
	var $t;
	var $con;
	var $att;

	function __construct() {
		global $dbUser, $dbPassword, $dataBase;
		$this->con = new Database();
		$attr = array();
		$attr = array_merge($_REQUEST, $_SESSION);
		$this->att = $attr;
		$this->con->db_user = $dbUser;
		$this->con->db_password = $dbPassword;
		$this->con->db_name = $dataBase;
	}

	function InitializeTemplates() {
		global $_CONF;
		$this->t = new Template($this->sTemplatePath);
		$this->t->set_file('HTMLPAGE', $this->sMainTemplate);
		$this->t->set_file('FORMPAGE', $this->sFormTemplate);
		$this->t->set_var("siteUrl", $_CONF['siteUrl']);
		$this->t->set_var("siteAdminUrl", $_CONF['siteAdminUrl']);
		$this->t->set_var("ajaxSiteUrl", $_CONF['siteUrlAjax']);
	}

	function parseHeader() {
		$this->t->parse('TPL_HEADER', "HEADERPAGE");
	}

	function parseFooter() {
		$this->t->parse('TPL_FOOTER', "FOOTERPAGE");
	}

	function create() {
		switch ($this->sMode) {
			// Function that used to check what is to be displayed next
			default:
				$this->InitializeTemplates();
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		global $_CONF; //print_r($_CONF);
		$this->t->set_var("siteUrl", $_CONF['siteUrl']);
		$this->t->set_var("siteAdminUrl", $_CONF['siteAdminUrl']);
		$this->parseBody();
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_var("errormsg", "");
		if (isset($_REQUEST['login'])) {
			$sql = "SELECT bId,bName,bPassword,bCid,bSid,bUserTypeId FROM tbl_branch WHERE bName = '" . $this->att['username'] . "' AND bPassword = '" . md5($this->att['password']) . "'";

			$Res = $this->con->execQry($sql);
			$rows = $this->con->rowCount($Res);
			if ($rows > 0) {
				$rowObj = $this->con->fetchObj($Res);
				$_SESSION['session_userName'] = $rowObj->bName;
				$_SESSION['session_userId'] = $rowObj->bId;
				$_SESSION['session_countryId'] = $rowObj->bCid;
				$_SESSION['session_stateId'] = $rowObj->bSid;
				$_SESSION['session_usertype'] = $rowObj->bUserTypeId;
				reDirect($_CONF['siteUrl'] . 'index.php');
				exit();
			} else {
				$errormsg = "<label class=\"messageboxerror\">Invalid login credentials!</label>";
				$this->t->set_var("errormsg", $errormsg);
			}
		}


		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>