<?php

class currencyMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $duplicate;
	var $cSel;
	var $home1;
	var $att = array();

	function currencyMod($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		foreach ($attr as $key => $value) {
			$attr[$key] = fn_addslash($value);
		}
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		global $cSel;
		if (!isset($this->att['cid']) && isset($this->att['userID'])) {
			$sql = "SELECT curCId FROM " . TABLECURRENCY . " WHERE curId = '" . $this->att['userID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$branchObj = $this->home1->con->fetchObj($result);
			$cSel = $branchObj->curCId;
		} else if (isset($this->att['userID'])) {
			$cSel = $this->att['userID'];
		}
		$this->t->set_var("country", countryList($cSel));


		switch ($this->sMode) {
			case 'addcurrency':
				$this->addCurrency();
				$this->showPage();
				break;
			case 'editcurrency':
				$this->editCurrency();
				$this->showPage();
				break;
			default:
				$this->addCurrency();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addCurrency() {
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['userID'] == '0') {
			$duplicate = 0;
			$sql = "SELECT curId FROM " . TABLECURRENCY . " WHERE curName = '" . $this->att['currencyName'] . "' OR curSymbol = '" . $this->att['currencySymbol'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
			}
			if ($duplicate == 0) {
				$fieldlist = "curName, curSymbol, curCId, status";
				$values = "'" . $this->att['currencyName'] . "', '" . $this->att['currencySymbol'] . "', '" . $this->att['cid'] . "','1'";
				$sql = "INSERT INTO " . TABLECURRENCY . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("currency.php");
				exit;
			} else {
				$errormsg = "Currency Name or Currency Symbol already exists!";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("currencyName", $this->att['currencyName']);
				$this->t->set_var("currencySymbol", $this->att['currencySymbol']);
			}
		} else {
			$this->t->set_var("currencyName", "");
		}

		$this->t->set_var("userid", 0);
		$this->t->set_var("user_action", "addcurrency");
		$this->t->set_var("pageheading", "Add Currency");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editCurrency() {
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['userID'] != '0') {
			$sql = "SELECT curId FROM " . TABLECURRENCY . " WHERE (curName = '" . $this->att['currencyName'] . "' OR curSymbol = '" . $this->att['currencySymbol'] . "') AND curId != '" . $this->att['userID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "Currency Name or Currency Symbol already exists!");
				$this->t->set_var("currencyName", $this->att['currencyName']);
				$this->t->set_var("currencySymbol", $this->att['currencySymbol']);
			}
			if ($duplicate == 0) {
				$fields_in = " curName = '" . $this->att['currencyName'] . "'";
				$fields_in .= " ,curSymbol = '" . $this->att['currencySymbol'] . "'";
				$fields_in .= " ,curCId = '" . $this->att['cid'] . "'";
				$condition = " WHERE curId = " . $this->att['userID'];
				$sql = "UPDATE " . TABLECURRENCY . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("currency.php");
				exit;
			}
		} else {
			$curQry = "SELECT curId,curName,curSymbol,curCId FROM " . TABLECURRENCY . " WHERE curId='{$this->att['userID']}'";
			$curRes = $this->home1->con->execQry($curQry);
			$curRows = $this->home1->con->rowCount($curRes);
			if ($curRows > 0) {
				$curObj = $this->home1->con->fetchObj($curRes);
				$this->t->set_var("userid", html_entities($curObj->curId));
				$this->t->set_var("currencyName", html_entities($curObj->curName));
				$this->t->set_var("currencySymbol", $curObj->curSymbol);
				$this->t->set_var("cid", $curObj->curCId);
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("userid", $this->att['userID']);
		$this->t->set_var("user_action", "editcurrency");
		$this->t->set_var("pageheading", "Edit Currency");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>