<?php

class countrylist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $selection;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		global $selection;
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dCountry();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aCountry();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delCountry();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dCountry() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLECOUNTRY . " SET status = '0' WHERE cId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected country(s) deactived successfully.";
		}
	}

	function aCountry() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$selection = $this->att['selection'];
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLECOUNTRY . " SET status = '1' WHERE cId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected country(s) actived successfully.";
		}
	}

	function delCountry() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLECOUNTRY . " WHERE cId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected country(s) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "countryList", "countryLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$myCondition = array();
		if(isset($_REQUEST['name']) && strlen($_REQUEST['name']) > 0){
			//echo 'set name';
			$ssname = $_REQUEST["name"];
	        array_push($myCondition," cName LIKE '".trim($ssname)."%' ");
		}else{
			$ssname = "";
		}
		if(count($myCondition) > 0){
			$myCondition = " WHERE (".implode(" AND ", $myCondition).")";			
		}
		else{
			$myCondition = "";						
		}
		$ResMsg = "";
		//$countryQry = "SELECT cId,cName,cCode,status FROM " . TABLECOUNTRY . " ORDER BY cName ASC";
		$countryQry = "SELECT cId,cName,cCode,status FROM " . TABLECOUNTRY . " ";
		$countryQry = $countryQry.$myCondition;
        $countryQry = $countryQry."ORDER BY cName ASC";
		$countryRes = $this->home1->con->execQry($countryQry);
		$countryRows = $this->home1->con->rowCount($countryRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$cRes = $paging->queryResult($countryQry);
		$cRows = $this->home1->con->rowCount($cRes);
		$pageLinks = $paging->addPaging($countryQry);

		if ($countryRows > 0) {
			$i = 1;
			while ($cObj = $this->home1->con->fetchObj($cRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $cObj->cId . ">";
				$name = html_entities(trim($cObj->cName));
				$editview = "<a href=?cID=" . $cObj->cId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=countryMod.php?cID=" . $cObj->cId . "&action=editcountry><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";
				$this->t->set_var("chkid", $chkID);
				$this->t->set_var("username", $name);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("country", html_entities($cObj->cName));
				$this->t->set_var("code", html_entities($cObj->cCode));
				$this->t->set_var("editview", $editview);
				if ($cObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("countryLists", "countryList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("countryLists", "");
		}
			$this->t->set_var("name", $ssname);
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>