<?php

class paymentplanMod extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $bSel;
	var $cSel;
	var $sSel;
	var $duplicate;
	var $att = array();

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge_recursive($_POST, $_GET, $_SESSION);
		array_walk_recursive($attr, 'fn_addslash');
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		}
		/* 			foreach($attr as $key=>$value){
		  $attr[$key]=fn_addslash($value);
		  } */
		$this->att = $attr;
		$this->sMode = $this->att['action'];
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
	}

	function create() {
		global $cSel, $sSel, $bSel;
		$this->t->set_block("FORMPAGE", "addServCountryList", "addServCountryLists");
		$this->t->set_block("FORMPAGE", "editServCountryList", "editServCountryLists");

		//$this->t->set_block("FORMPAGE","addBranchList","addBranchLists");
		//$this->t->set_block("FORMPAGE","editBranchList","editBranchLists");

		if (!isset($this->att['stid']) && !isset($this->att['cid']) && isset($this->att['pID'])) {
			$sql = "SELECT pBranchId,pServTypeId,pServCid FROM " . TABLEPAYMENTPLANS . " WHERE pId = '" . $this->att['pID'] . "'";
			$result = $this->home1->con->execQry($sql);
			$pObj = $this->home1->con->fetchObj($result);
			$sSel = $pObj->pServTypeId;
			$cSel = $pObj->pServCid;
			$bSel = $pObj->pBranchId;
		} else if (isset($this->att['stid']) && isset($this->att['cid']) && isset($this->att['bid'])) {
			$sSel = $this->att['stid'];
			$cSel = $this->att['cid'];
			$bSel = $this->att['bid'];
		}
		//Echo $bSel;
		$this->t->set_var("servicetype", serviceTypeList($sSel));
		switch ($this->sMode) {
			case 'addpaymentplan':
				$this->addPaymentPlan($cSel, $bSel);
				$this->showPage();
				break;
			case 'editpaymentplan':
				$this->editPaymentPlan($cSel, $sSel, $bSel);
				$this->showPage();
				break;
			default:
				$this->addPaymentPlan();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function addPaymentPlan($cSel, $bSel) {
		$this->t->parse("addServCountryLists", "addServCountryList");
		$this->t->parse("editServCountryLists", "");
		$this->t->set_var("branch", branchList());
		//$this->t->parse("addBranchLists","addBranchList");
		//$this->t->parse("editBranchLists","");
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		if (isset($this->att['add']) && $this->att['pID'] == '0') {
			$currency = explode(',', getCurrCode($this->att['cid']));
			$curr = $currency[1];
			$this->t->set_var("curr", $curr);
			$selBr = $this->att['bid'];
			if (is_array($selBr)) {
				$branches = implode(",", $selBr);
			}
//find_in_set($branches,pBranchId )
			$duplicate = 0;
			$sql = "SELECT pName FROM " . TABLEPAYMENTPLANS . " WHERE pName = '" . $this->att['paymentplan'] . "' AND pServTypeId = " . $this->att['stid'] . " AND pBranchId IN (" . $branches . ") AND pServCid = " . $this->att['cid'] . "";
			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);

			if ($numRows > 0) {
				$duplicate = 1;
			}
			if ($duplicate == 0) {
				$fieldlist = "pName, pBranchId, pServCid, pServTypeId, pAmt, pCurrId, status";
				$values = "'" . $this->att['paymentplan'] . "','" . $branches . "','" . $this->att['cid'] . "','" . $this->att['stid'] . "','" . $this->att['amount'] . "','" . $this->att['curr'] . "','1'";
				$sql = "INSERT INTO " . TABLEPAYMENTPLANS . " ( $fieldlist ) VALUES ( $values )";
				$result = $this->home1->con->execQry($sql);
				reDirect("paymentplan.php");
				exit;
			} else {
				$errormsg = "Payment Plan already exists!";
				$this->t->set_var("errormsg", $errormsg);
				$this->t->set_var("paymentplan", $this->att['paymentplan']);
				$this->t->set_var("country", countryListByService($this->att['cid'], $this->att['stid']));
				$this->t->set_var("amount", $this->att['amount']);
				$this->t->set_var("currName", $this->att['currName']);
				$this->t->set_var("branch", branchListByCountry($cSel, $bSel));
			}
		} else {
			$this->t->set_var("paymentplan", "");
			$this->t->set_var("stid", "");
			$this->t->set_var("cid", "");
			$this->t->set_var("amount", "");
		}

		$this->t->set_var("pid", 0);
		$this->t->set_var("user_action", "addpaymentplan");
		$this->t->set_var("pageheading", "Add Payment Plan");
		$this->t->set_var("buttonvalue", "Add New");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

	function editPaymentPlan($cSel, $sSel, $bSel) {
		$this->t->parse("editServCountryLists", "editServCountryList");
		$this->t->parse("addServCountryLists", "");
		//$this->t->parse("editBranchLists","editBranchList");
		//$this->t->parse("addBranchLists","");
		$this->t->set_var("branch", branchListByCountry($cSel, $bSel));
		$this->t->set_var("country", countryListByService($cSel, $sSel));
		$currency = explode(',', getCurrCode($cSel));
		$curr = $currency[1];
		$this->t->set_var("curr", $curr);

		if (isset($this->att['bid'])) {
			$selBr = $this->att['bid'];
			if (is_array($selBr)) {
				$branches = implode(",", $selBr);
			}
		}
		global $_CONF, $duplicate;
		$this->errMsg = "";
		$this->sucMsg = "";
		//print_r($_POST);

		if (isset($this->att['add']) && $this->att['pID'] != '0') {
			$sql = "SELECT pName FROM " . TABLEPAYMENTPLANS . " WHERE pName = '" . $this->att['paymentplan'] . "' AND pId != " . $this->att['pID'] . " AND pServTypeId = " . $this->att['stid'] . " AND pBranchId IN (" . $branches . ") AND pServCid = " . $this->att['cid'] . "";

			$result = $this->home1->con->execQry($sql);
			$numRows = $this->home1->con->rowCount($result);
			if ($numRows > 0) {
				$duplicate = 1;
				$this->t->set_var("errmsg", "Payment Plan already exists!");
				$this->t->set_var("paymentplan", $this->att['paymentplan']);
				$this->t->set_var("country", countryListByService($this->att['cid'], $this->att['stid']));
				$this->t->set_var("cid", getCurrCode($this->att['cid']));
				$this->t->set_var("amount", $this->att['amount']);
				$this->t->set_var("currName", substr(getCurrCode($this->att['cid']), 0, 3));
			}
			if ($duplicate == 0) {
				$fields_in = " pName = '" . $this->att['paymentplan'] . "'";
				$fields_in .= " ,pServTypeId = '" . $this->att['stid'] . "'";
				$fields_in .= " ,pBranchId = '" . $branches . "'";
				$fields_in .= " ,pAmt = '" . $this->att['amount'] . "'";
				$fields_in .= " ,pServCid = '" . $this->att['cid'] . "'";
				$fields_in .= " ,pCurrId = '" . $this->att['curr'] . "'";
				$condition = " WHERE pId = " . $this->att['pID'];
				$sql = "UPDATE " . TABLEPAYMENTPLANS . " SET " . $fields_in . " " . $condition;
				$result = $this->home1->con->execQry($sql);
				reDirect("paymentplan.php");
				exit;
			}
		} else {
			$ppQry = "SELECT pId,pName,pServTypeId,pServCid,pBranchId,pAmt,pCurrId FROM " . TABLEPAYMENTPLANS . " WHERE pId='{$this->att['pID']}'";
			$ppRes = $this->home1->con->execQry($ppQry);
			$ppRows = $this->home1->con->rowCount($ppRes);
			if ($ppRows > 0) {
				$pObj = $this->home1->con->fetchObj($ppRes);
				$this->t->set_var("pid", $pObj->pId);
				$this->t->set_var("paymentplan", html_entities($pObj->pName));
				$this->t->set_var("stid", $pObj->pServTypeId);
				$this->t->set_var("cid", $pObj->pServCid);
				$this->t->set_var("bid", $pObj->pBranchId);
				$this->t->set_var("amount", $pObj->pAmt);
				$this->t->set_var("curr", $pObj->pCurrId);
				$this->t->set_var("currName", substr(getCurrCode($pObj->pServCid), 0, 3));
			}
		}
		$this->t->set_var("errormsg", "");
		$this->t->set_var("pid", $this->att['pID']);
		$this->t->set_var("user_action", "editpaymentplan");
		$this->t->set_var("pageheading", "Edit Payment Plan");
		$this->t->set_var("buttonvalue", "Update");
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

// function parseBody ends here
}

// class ends here
?>