<?php

class paymentplanlist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dPaymentPlan();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aPaymentPlan();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delPaymentPlan();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dPaymentPlan() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEPAYMENTPLANS . " SET status = '0' WHERE pId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected payment plan(s) deactived successfully.";
		}
	}

	function aPaymentPlan() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLEPAYMENTPLANS . " SET status = '1' WHERE pId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected payment plan(s) actived successfully.";
		}
	}

	function delPaymentPlan() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLEPAYMENTPLANS . " WHERE pId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected payment plan(s) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "paymentplanList", "paymentplanLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$myCondition = array();
		if(isset($_REQUEST['name']) && strlen($_REQUEST['name']) > 0){
			//echo 'set name';
			$ssname = $_REQUEST["name"];
	        array_push($myCondition," pName LIKE '".trim($ssname)."%' ");
		}else{

			$ssname = "";
		}
		if(count($myCondition) > 0){
			$myCondition = " WHERE (".implode(" AND ", $myCondition).")";			
		}
		else{
			$myCondition = "";						
		}
		$ResMsg = "";
		//$ppQry = "SELECT pId,pAmt,pBranchId,pName,pServTypeId,pServCid,status FROM " . TABLEPAYMENTPLANS . "WHERE status=1 ORDER BY pServCid ASC";
		//$ppQry = "SELECT pId,pAmt,pBranchId,pName,pServTypeId,pServCid,status FROM " . TABLEPAYMENTPLANS . " ORDER BY status DESC,pBranchId ASC, pServCid ASC, pAmt ASC";
		 $ppQry = "SELECT pId,pAmt,pBranchId,pName,pServTypeId,pServCid,status FROM " . TABLEPAYMENTPLANS . " ";
		 $ppQry = $ppQry.$myCondition;
		 $ppQry = $ppQry."ORDER BY status DESC,pBranchId ASC, pServCid ASC, pAmt ASC";
		$ppRes = $this->home1->con->execQry($ppQry);
		$ppRows = $this->home1->con->rowCount($ppRes);
		//$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$paging = new paging($this->home1->con, 500, $this->home1->scroll, $this->home1->scrollnumber);
		$pRes = $paging->queryResult($ppQry);
		$pRows = $this->home1->con->rowCount($pRes);
		$pageLinks = $paging->addPaging($ppQry);

		if ($ppRows > 0) {
			$i = 1;
			while ($pObj = $this->home1->con->fetchObj($pRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $pObj->pId . ">";
				$name = html_entities(trim($pObj->pName));
				$countryName = getCountryName($pObj->pServCid);
				$servName = getServiceTypeName($pObj->pServTypeId);
				$branchName = getMutipleBranchName($pObj->pBranchId);

				$editview = "<a href=paymentplanMod.php?pID=" . $pObj->pId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=paymentplanMod.php?pID=" . $pObj->pId . "&action=editpaymentplan><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";

				$this->t->set_var("chkid", $chkID);
				$this->t->set_var("username", $name);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$currency = explode(',', getNewCurrCode($pObj->pBranchId));
				$curr = $currency[0];
				$this->t->set_var("paymentplan", html_entities($pObj->pName));
				$this->t->set_var("amt", $pObj->pAmt);
				$this->t->set_var("curr", $curr);
				$this->t->set_var("cid", $countryName);
				$this->t->set_var("stid", $servName);
				$this->t->set_var("bid", $branchName);
				$this->t->set_var("editview", $editview);
				if ($pObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("paymentplanLists", "paymentplanList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("paymentplanLists", "");
		}
		$this->t->set_var("name", $ssname);	
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>
