<?php

class stateslist extends adminHome {

	var $sMode;
	var $pagesize;
	var $t;
	var $home1;
	var $ResMsg; // this variable contains the results of any queries executed.
	var $att;  // variable which contains all the $_POST,$_GET, and $_SESSION values
	var $query;  // query variable to set the query while displaying it for multiple purpose
	var $bit_active; // to check the company status 

	// constructor

	function __construct($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl) {
		$attr = array();
		$attr = array_merge($_POST, $_GET, $_SESSION);
		if (isset($attr['action']) != '' && isset($attr['action'])) {
			$this->sMode = $attr['action'];
		} else {
			$this->sMode = '';
		}
		$this->att = $attr;
		$this->home1 = new adminHome($tplPath, $maintpl, $tplname, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->t = $this->home1->t;
		$this->query = "";
	}

	function create() {
		switch ($this->sMode) {
			case 'inactive':
				$this->dStates();
				$this->parseBody();
				$this->showPage();
				break;

			case 'active':
				$this->aStates();
				$this->parseBody();
				$this->showPage();
				break;

			case 'delete':
				$this->delStates();
				$this->parseBody();
				$this->showPage();
				break;

			default:
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function dStates() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLESTATES . " SET status = '0' WHERE sId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected state(s) deactived successfully.";
		}
	}

	function aStates() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "UPDATE " . TABLESTATES . " SET status = '1' WHERE sId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected state(s) actived successfully.";
		}
	}

	function delStates() {
		$selection = (isset($this->att['selection']) ? $this->att['selection'] : '');
		if ($selection != '') {
			$userID = implode(",", $selection);
			$enQry = "DELETE FROM " . TABLESTATES . " WHERE sId IN(" . $userID . ")";
			$enRes = $this->home1->con->execQry($enQry);
			$this->ResMsg = "Selected state(s) deleted successfully.";
		}
	}

	function showPage() {
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_block("FORMPAGE", "stateList", "stateLists");
		$this->t->set_block("FORMPAGE", "NoRecordBlock", "NoRecordBlocks");
		$myCondition = array();
		if(isset($_REQUEST['name']) && strlen($_REQUEST['name']) > 0){
			//echo 'set name';
			$ssname = $_REQUEST["name"];
	        array_push($myCondition," sName LIKE '".trim($ssname)."%' ");
		}else{
			$ssname = "";
		}
		if(count($myCondition) > 0){
			$myCondition = " WHERE (".implode(" AND ", $myCondition).")";			
		}
		else{
			$myCondition = "";						
		}
		$ResMsg = "";
		//$statesQry = "SELECT sId,sName,sCid,sCode,status FROM " . TABLESTATES . " ORDER BY sCid ASC";
		$statesQry = "SELECT sId,sName,sCid,sCode,status FROM " . TABLESTATES . " ";
		$statesQry = $statesQry.$myCondition ; 
		$statesQry = $statesQry."ORDER BY sCid ASC";
		
		$statesRes = $this->home1->con->execQry($statesQry);
		$statesRows = $this->home1->con->rowCount($statesRes);
		$paging = new paging($this->home1->con, $this->home1->limit, $this->home1->scroll, $this->home1->scrollnumber);
		$sRes = $paging->queryResult($statesQry);
		$sRows = $this->home1->con->rowCount($sRes);
		$pageLinks = $paging->addPaging($statesQry);

		if ($statesRows > 0) {
			$i = 1;
			while ($sObj = $this->home1->con->fetchObj($sRes)) {
				$chkID = "<input type='checkbox' name='selection[]' id='selection[]' value=" . $sObj->sId . ">";
				$name = html_entities(trim($sObj->sName));
				$countryName = getCountryName($sObj->sCid);
				$editview = "<a href=?sID=" . $sObj->sId . "><img src='" . $_CONF['siteUrl'] . "images/view.gif' border='0' alt='View' title='View'></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=statesMod.php?sID=" . $sObj->sId . "&action=editstates><img src='" . $_CONF['siteUrl'] . "images/edit.gif' border='0' alt='Edit' title='Edit'></a>";

				$this->t->set_var("chkid", $chkID);
				$this->t->set_var("username", $name);
				if ($i % 2 == 0) {
					$this->t->set_var("classdisp", "greyrow");
				} else {
					$this->t->set_var("classdisp", "whiterow");
				}
				$this->t->set_var("states", html_entities($sObj->sName));
				$this->t->set_var("stateCode", html_entities($sObj->sCode));
				$this->t->set_var("cid", $countryName);
				$this->t->set_var("editview", $editview);
				if ($sObj->status == "0") {
					$this->t->set_var("status", "Inactive");
				} else {
					$this->t->set_var("status", "Active");
				}
				$this->t->parse("stateLists", "stateList", true);
				$i++;
			}
			$this->t->set_var("NoRecordBlocks", "");
		} else {
			$this->t->set_var("NoRecord", "--No Record Found--");
			$this->t->parse("NoRecordBlocks", "NoRecordBlock", true);
			$this->t->set_var("stateLists", "");
		}
		$this->t->set_var("name", $ssname);
		$this->t->set_var("ResMsg", $this->ResMsg);
		$this->t->set_var("pagelink", $pageLinks);
		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>