<?php
include(dirname(__FILE__) . '/main.php');
$db = new Database();
$db->db_user = $dbUser;
$db->db_password = $dbPassword;
$db->db_name = $dataBase;
$content = '';
$_POST['q']=$_SESSION['excel_p'];
if (isset($_POST['q']) && $_POST['q'] != '') { 
	$sql = urldecode(stripslashes($_POST['q'])); 

	$resSql = $db->execQry($sql);

	$content.='<table border="1" cellspacing="1" cellpadding="0">
		<tr>
			<th>S.No</th>
			<th>Date</th>
			<th>Client Name</th>';
	if ($_SESSION['session_usertype'] == 3) {
		$content.='<th>Location</th>';
	}
	$content.='<th>Retained By</th>
			<th>Branch</th>
			<th>Receipt Number</th>
			<th>Serv.Type &amp; Serv.Country</th>
			<th>RA No</th>
			<th>Installment Name - No.</th>
			<th>Payment Plan Amount</th>
			<th>Discount</th>
			<th>Amount Paid</th>
			<th>Payment Mode</th>
			<th>Cheque/DD/Trans No</th>
			<th>Balance payment</th>
		</tr>
		';
	$i = 1;
	while ($row = $db->fetchObj($resSql, MYSQL_BOTH)) {
		if ($row->clEmail != NULL) {
			$fName = html_entities($row->clFirstName);
			$mName = ($row->clMiddleName ? html_entities($row->clMiddleName) : '');
			$lName = html_entities($row->clLastName);
			$clName = $fName . '&nbsp;' . $mName . '&nbsp;' . $lName;

			if ($row->clRetainerAggNo == 0) {
				$linkRaNo = $row->clOldRetainerAggNo;
				$raNo = $row->clOldRetainerAggNo;
				$clType = 'Old';
			} else {
				$prefixRaCode = getPreCodeForRaNo($row->clServTypeId, $row->clReceiptIssuingBranchId, $row->clServCountryId) . getMonYrForRa($row->clRetainerAggNo, $row->clReceiptIssuingBranchId, $row->clEmail);
				$raNo = $prefixRaCode . str_pad($row->clRetainerAggNo, 4, "0", STR_PAD_LEFT);
				$linkRaNo = $row->clRetainerAggNo;
				$clType = 'New';
			}

			$split = explode(',', getPreCodeForRno($row->clReceiptIssuingBranchId));
			//$rNo = $split[0] . date('y') . str_pad($row->clReceiptNo, 3, "0", STR_PAD_LEFT);
			$rNo = $row->clFullReceiptNo;

			$servType = getServiceTypeName($row->clServTypeId);
			if ($servType == 'Immigration') {
				$sType = 'IMMI';
			} else {
				$sType = 'SA';
			}
			$scName = getCountryName($row->clServCountryId);

			$iName = getInstallmentName($row->pdInstNameId);

			$pName = getPayPlanName($row->pdPid);

			if ($row->pdPid != 0) {
				$pAmt = getPayPlanAmt($row->pdPid, 1);
			} else {
				$pAmt = $row->pdAmt;
			}
			$discount = ($row->pdDiscount != '') ? $row->pdDiscount : '0';

			$amtPaid = ($row->pdPaid != '') ? $row->pdPaid : '0';

			$balance = ($row->pdBalance != '') ? $row->pdBalance : '0';

			$mode = getPayMode($row->pdPayModeId);
			
			$cheque = $row->pdChqDDno;
			$bName = $row->bName;

			$iNo = ($row->clRetainerAggNo != 0) ? '-' . $row->clInstNo : '';

			$content.="<tr>
				<td>{$i}</td>
				<td>{$row->dated}</td>
				<td>{$clName}</td>";
			if ($_SESSION['session_usertype'] == 3) {
				$content.="<td>" . getBranchName($row->clReceiptIssuingBranchId) . "</td>";
			}
			$content.="
				<td>" . getAdvisorName($row->pdAdvisorId) . "</td>
				<td>{$rNo}</td>
				<td>{$sType}-{$scName}</td>
				<td>{$bName}</td>
				<td>{$raNo}</td>
				<td>{$iName}{$iNo}</td>
				<td>{$pAmt}</td>
				<td>{$discount}</td>
				<td>{$amtPaid}</td>
				<td>{$mode}</td>
				<td>{$cheque}</td>
				<td>{$balance}</td>
			</tr>";
			$i++;
		}
	}
	$content.= '</table>';

	$output_file = 'report-' . date("dmY") . '.xls';
	header('Pragma: public');
	header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
	header('Cache-Control: no-store, no-cache, must-revalidate');
	header('Cache-Control: pre-check=0, post-check=0, max-age=0');
	header('Content-Transfer-Encoding: none');
	header('Content-Type: application/excel; name="' . $output_file . '"');
	header('Content-Disposition: attachment; filename="' . $output_file . '"');
	echo $content;
	exit();
}
?>
