<?php

/*
 * ******************************************************************************
 * File name: db.functions.php
 * Created on: 20/06/2008
 * ******************************************************************************
  -----------------
  -- Description --
  -----------------
  This is configuration file and stores major settings.
  -----------------------------------------
  -- Major Revision/Modification History --
  -----------------------------------------
  Date     Programmer      Comments
  -------- --------------- ------------------------------------------------------
  20/06/2008		Anish Sharma		  Started building the file.

 * ******************************************************************************
 *  Written By: Anish Sharma.
 *    
 * ******************************************************************************
 */

/**
 * This function will send a query.
 * @param	string	SQL Query.
 * @return	mixed	Error if something goes wrong otherwise a resource identifier.
 * @author	Anish Sharma
 */
function myQuery($SQL) {
	if ($SQL == '') {
		die('Empty Query!');
		return (0);
	}
	if ($rId = mysql_query($SQL)) {
		return ($rId);
	} else {
		die('Error in query "' . $SQL . '" MySQL said. ' . mysql_error());
		return (0);
	}
}

/**
 * This function will send a query.
 * @param	string	SQL Query.
 * @return	mixed	Error if something goes wrong count of rows.
 * @author	Anish Sharma
 */
function numRows($SQL) {
	if (!is_resource($SQL)) {
		if ($rId = myQuery($SQL)) {
			return( mysql_num_rows($rId) );
		} else {
			die('Error in query "' . $SQL . '" MySQL said. ' . mysql_error());
		}
	} else {
		return(mysql_num_rows($SQL));
	}
}

/**
 * Fetch a recordset.
 * @param	string	SQL Query.
 * @return	mixed	Error if something goes wrong otherwise fetch a result row as an associative array, a numeric array, or both.
 * @author	Anish Sharma
 */
function fetchArray($SQL) {
	if (numRows($SQL) == 1) {
		return( mysql_fetch_array(myQuery($SQL)));
	} else {
		die('More than one record!');
	}
}

/**
 * Fetch a row object from recordset.
 * @param	string	SQL resultset.
 * @return	mixed	Error if something goes wrong otherwise fetch a result row as an object.
 * @author	Anish Sharma
 */
function fetchObject($RECSET) {
	if (numRows($RECSET)) {
		return( mysql_fetch_object($RECSET));
	} else {
		die('Found no record!');
	}
}

/**
 * This function will send a query.
 * @param	string	SQL Query.
 * @return	mixed	Error if something goes wrong otherwise next auto index number.
 * @author	Anish Sharma
 */
function nextAutoIndex($table) {
	if ($tmpArray = fetchArray("SHOW TABLE STATUS LIKE '$table'")) {
		return( $tmpArray['Auto_increment'] );
	} else {
		die('Error!');
	}
}

/**
 * Fetch a row object from recordset.
 * @param	string	SQL resultset.
 * @return	mixed	Error if something goes wrong otherwise fetch a result row as an object.
 * @author	Anish Sharma
 */
function insertId() {
	return mysql_insert_id();
}

?>