<?php
/*
 * ******************************************************************************
 * File name: class.changepaymentplan.php
 * Created on: 11/04/2011
 * ******************************************************************************
  -----------------
  -- Description --
  -----------------
  This file contains the class for changepaymentplan module.

  -----------------------------------------
  -- Major Revision/Modification History --
  -----------------------------------------
  Date     Programmer      Comments
  -------- --------------- ------------------------------------------------------
  011/04/2020	Kirti Dhiman	Started building the file.

 * ******************************************************************************
 *  Written By: Kirti Dhiman.
 * ******************************************************************************
 */
class editclientprofile {
  var $con;
  var $home1;
  var $t;
  var $clId = '';
  var $action;
  var $pageName = 'editclientprofile.php';

    function __construct($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl) {
		$this->home1 = new Home($tplPath, $maintpl, $innerCenter, $headtpl, $lefttpl, $footertpl);
		$this->home1->InitializeTemplates();
		$this->con = $this->home1->con;
		$this->action = (isset($_GET['action']) ? $_GET['action'] : '');
		$this->clId = ((isset($_GET['clId']) ? $_GET['clId'] : '0'));
		$this->clId = ((isset($_POST['clId']) ? $_POST['clId'] : $this->clId));
		foreach ($_POST as $key => $value) {
			if (isset($this->{$key})) {
				$this->{$key} = $value;
			}
		}     
    }
   function create() {
    $this->t = &$this->home1->t;
    $this->parseBody();
    $this->home1->showInPage();
   }
   
   
   function assignPostValues() {
		foreach ($_POST as $key => $value) {
			if (isset($this->{$key})) {
				$this->t->set_var($key, $value);
			}
		}
	}


    function parseBody() {
		global $_CONF, $siteUrl, $siteUrlAjax;
		if (isset($_POST['subm']) && $_POST['subm'] == '1') {
			$this->editdetail();
		}
		if (isset($_GET['clId']) && $_GET['clId'] != '') {
			$clid = $_GET['clId'];
		}
		if (isset($_SESSION['msg'])) {
			$this->t->set_var('msg', $_SESSION['msg']);
			unset($_SESSION['msg']);
		}
		
		if($clid > 0){
			$this->clientdetail($clid);		
		}
			
		$this->t->set_var('ajaxSiteUrl', $siteUrlAjax);
		$this->t->set_var('branchId', $_SESSION['session_userId']);
		$this->t->set_var('menu', getMenuLinks($_SESSION['session_usertype']));
		$this->t->parse('TPL_BODY', 'FORMPAGE');
    }
  
    function editdetail(){			
			$dbState = ($_POST['state'] == '') ? $_POST['stateTxt'] : $_POST['state'];
			$query = "SELECT clId FROM tbl_client WHERE clRetainerAggNo = '" . $_POST['clRetainerAggNo'] . "' 
			and clServTypeId = '".$_POST['clServTypeId']."' and clServCountryId = '".$_POST['clServCountryId']."' and clReceiptIssuingBranchId = '".$_POST['clReceiptIssuingBranchId']."' ORDER BY clId";

			$result = $this->con->execQry($query);

			if ($this->con->rowCount($result)) { 			
			//	$address = mysqli_escape_string($this->con, $_POST['address']);
				//$address = mysqli_real_escape_string($this->con, $_POST['address']);
				//echo $address;
			//	exit;
				while ($rowObj = $this->con->fetchObj($result)) {
					$sql = "UPDATE ".TABLECLIENT." SET clFirstName = '".$_POST['fName']."', clMiddleName = '".$_POST['mName']."', clLastName = '".$_POST['lName']."',
					clAddr = '".$_POST['address']."', clCity = '".$_POST['town']."', clState = '".$dbState."', clZipCode = '".$_POST['zip']."', 
					clCountryId = '".$_POST['country']."', clPhRes = '".$_POST['resi']."', clPhWork = '".$_POST['office']."', 
					clPhMob = '".$_POST['mob']."', clEmail = '".$_POST['email']."' where clId = '".$rowObj->clId."' and status='1' ";				
					$resPayDt = $this->con->execQry($sql);				
				}
			}		
			if ($result) {
				reDirect('index.php');
				exit;
			}
			reDirect($this->pageName);		  
    }
	
	function clientdetail($clid){
		$sql = "SELECT * FROM " . TABLECLIENT . " where clId ='".$clid."' and status = 1";		
		$result = $this->con->execQry($sql);
		if ($this->con->rowCount($result)) {
			$rowObject = $this->con->fetchObj($result);
		
			if ($rowObject->clCountryId == '76') {				
			$stateList = '<td height="23" align="left" id="tdState"><select name="state" id="state" class="form_field_text" style="width:298px">
				<option value="">-Select State-</option>' . statesList($rowObject->clCountryId ,$rowObject->clState) . '</select></td>
				<td align="left" id="tdStateText"><input type="text" name="stateTxt" id="stateTxt" class="form_filed_text" size="40"></td>
				';
		} else {
			$stateList = '<td height="23" align="left" id="tdState"><select name="state" id="state" class="form_field_text" style="width:298px;display:none;">
				<option value="">-Select State-</option>' . statesList($rowObject->clCountryId,$rowObject->clState) . '</select></td>
				<td align="left" id="tdStateText"><input type="text" name="stateTxt" id="stateTxt" class="form_filed_text" size="40"></td>
				';
		}	
		
			$this->t->set_var('clReceiptIssuingBranchId', $rowObject->clReceiptIssuingBranchId);
			$this->t->set_var('clServTypeId', $rowObject->clServTypeId);
			$this->t->set_var('clServCountryId', $rowObject->clServCountryId);
			$this->t->set_var('clRetainerAggNo', $rowObject->clRetainerAggNo);
			$this->t->set_var('clFirstName', $rowObject->clFirstName);
			$this->t->set_var('clMiddleName', $rowObject->clMiddleName);
			$this->t->set_var('clLastName', $rowObject->clLastName);
			$this->t->set_var('clAddr', $rowObject->clAddr);
			$this->t->set_var('clCity', $rowObject->clCity);
			$this->t->set_var('stateList', $stateList);
			$this->t->set_var('clZipCode', $rowObject->clZipCode);
			$this->t->set_var('country', countryList($rowObject->clCountryId));
			$this->t->set_var('clPhRes', $rowObject->clPhRes);
			$this->t->set_var('clPhWork', $rowObject->clPhWork);
			$this->t->set_var('clPhMob', $rowObject->clPhMob);
			$this->t->set_var('clEmail', $rowObject->clEmail);
		}
	}

}
?>