<?php

class login {

	var $sTemplatePath;
	var $sMainTemplate;
	var $sFormTemplate;
	var $sHeaderTemplate;
	var $sFooterTemplate;
	var $sMode;
	var $sTitle;
	var $obDBCon;
	var $t;
	var $con;
	var $att;

	function __construct() {
		global $dbUser, $dbPassword, $dataBase;
		$this->con = new Database();
		$attr = array();
		$attr = array_merge($_REQUEST, $_SESSION);
		$this->att = $attr;
		$this->con->db_user = $dbUser;
		$this->con->db_password = $dbPassword;
		$this->con->db_name = $dataBase;
	}

	function InitializeTemplates() {
		global $_CONF;
		$this->t = new Template($this->sTemplatePath);
		$this->t->set_file('HTMLPAGE', $this->sMainTemplate);
		$this->t->set_file('FORMPAGE', $this->sFormTemplate);
		$this->t->set_var("siteUrl", $_CONF['siteUrl']);
		$this->t->set_var("siteAdminUrl", $_CONF['siteAdminUrl']);
	}

	function parseHeader() {
		$this->t->parse('TPL_HEADER', "HEADERPAGE");
	}

	function parseFooter() {
		$this->t->parse('TPL_FOOTER', "FOOTERPAGE");
	}

	function create() {
		switch ($this->sMode) {
			// Function that used to check what is to be displayed next
			default:
				$this->InitializeTemplates();
				$this->parseBody();
				$this->showPage();
				break;
		}
	}

	function showPage() {
		global $_CONF; //print_r($_CONF);
		$this->t->set_var("siteUrl", $_CONF['siteUrl']);
		$this->t->set_var("siteAdminUrl", $_CONF['siteAdminUrl']);
		$this->parseBody();
		$this->t->pparse('Output', 'HTMLPAGE');
	}

	function parseBody() {
		global $_CONF;
		$this->t->set_var("errormsg", "");

		if (isset($_POST['login'])) {
			$sql = "SELECT * FROM tbl_users  WHERE userName = '" . $this->att['frm_user'] . "'";
			$Res = $this->con->execQry($sql);
			$rows = $this->con->rowCount($Res);
			if ($rows > 0) {
				$newPwd = genPwd();
				$query = "update  tbl_users set userPass='" . md5($newPwd) . "' WHERE userName = '" . $this->att['frm_user'] . "'";
				$Result = $this->con->execQry($query);

				$mail = new PHPMailer();
				$mail->IsSendmail();
				$mail->Subject = "Your password here";
				$message = "Your password for login to our website <br>";
				$message .="<br /><b>Password: </b> {$newPwd}";

				$message .="<br />click on following link for login ";
				$message.="<a href='" . $_CONF['siteUrl'] . "login.php'>" . $_CONF['siteUrl'] . "login.php</a>";
				$message .="<br /><b>Admin: </b> ";
				$mail->From = ADMINMAILID;
				$mail->FromName = 'admin';
				$mail->IsHTML(true);
				$mail->AddAddress($this->att['frm_user']);
				$mail->Body = $message;
				$mail->WordWrap = 100;
				$mail->Send();

				$errormsg = "<font color='red'>Your Password Has Been Sent To Your Email Address.</font>";
				$this->t->set_var("errormsg", $errormsg);
			} else {
				$errormsg = "<font color='red'>Not found your email in our database.</font>";
				$this->t->set_var("errormsg", $errormsg);
			}
		}


		$this->t->parse('TPL_BODY', 'FORMPAGE');
	}

}

?>